<?php
// $Id: date.php 1038 2016-02-23 14:07:09Z mike007 $

/**
* Date formatte en francais
* 
* @param $format chaine de format cf http://php.net/date pour les codes
* @param $time timestamp unix
* @param $change_format Modification format en Aujourd'hui, Hier
* @param $dec decalage horaire en heure
*/

function kws_date($format='\l\e d/m/Y \&\a\g\r\a\v\e\; H:i',$time=NULL,$change_format=0,$dec=0)
{
	date_default_timezone_set('Europe/Paris');
	static $jours=array('dimanche','lundi','mardi','mercredi','jeudi','vendredi','samedi');
	static	$mois = array(1=>"janvier", "f&eacute;vrier", "mars", "avril", "mai","juin", "juillet", "ao&ucirc;t", "septembre","octobre", "novembre", "d&eacute;cembre");
	static	$mois_court = array(1=>"jan", "f&eacute;v", "mar", "avr", "mai","jui", "jui", "ao&ucirc;", "sep", "oct", "nov", "d&eacute;c");

	if($time==NULL)
	{
		$time=time();
	}
	$time+=$dec*3600;

	if (preg_match('#\\\&\\\a\\\g\\\r\\\a\\\v\\\e\\\;#',$format)) $format_H1 = '&agrave; ';
	if (preg_match('#H\\\?:i#',$format)) $format_H2 = date('H\:i',$time);

	if (date('d/m/Y',$time)==date('d/m/Y',time()) and $change_format=='1')
	{
		$format_J = '<span style="font-variant:small-caps">Aujourd&rsquo;hui</span> '.$format_H1.$format_H2;
		return $format_J;
	}
	elseif (date('d/m/Y',$time)==date('d/m/Y',time()-86400) and $change_format=='1')
	{
		$format_J = '<span style="font-variant:small-caps">Hier</span> '.$format_H1.$format_H2;
		return $format_J;
	}
	elseif (strpos($format,'S')!==false || strpos($format,'l')!==false || strpos($format,'F')!==false || strpos($format,'D')!==false || strpos($format,'M')!==false )
	{
		$format=preg_replace('/(^|([^\\\]))l/','$1'.date_safe($jours[date('w',$time)]),$format);
		$format=preg_replace('/(^|([^\\\]))D/','$1'.date_safe(substr($jours[date('w',$time)],0,3)),$format);
		$format=preg_replace('/(^|([^\\\]))F/','$1'.date_safe($mois[date('n',$time)]),$format);
		$format=preg_replace('/(^|([^\\\]))M/','$1'.date_safe($mois_court[date('n',$time)]),$format);
		$format=preg_replace('/(^|([^\\\]))S/',(date('j',$time)==1 ? date_safe('1<sup>er</sup>'):'$1'),$format);
	}

	return date($format,$time);
}

/**
* Formate une chaine pour passage dans date sans alteration
* 
* @pram $txt Chaine de caractère à échapper
*/

function date_safe($txt)
{
	$txt=addcslashes($txt, 'A..z');
	$txt=str_replace(array('\n','\r','\t','\0'),array('\\n','\\r','\\t','\\0'),$txt);
	return $txt;
}

/* //Vecteurs de tests
echo kws_date("r",time(),0,-1).'<br />';
echo kws_date().'<br />';
echo kws_date("l \p \l l D \D").'<br />';
echo kws_date("F \F M \M").'<br />';
*/

?>
