<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: grade.php 1004 2016-02-04 11:42:24Z mike007 $
// ---------------------------------------------------------------
// Creation par FouPouDave et Zeta
// ---------------------------------------------------------------

if(!defined('CONF_DEF'))
{
	define('CONF_DEF',true);

	/** var liste des groupes
	* @author  FouPouDave
	* @var  array
	*/
	$K_liste_groupe = array();
	$K_liste_groupe[0] = 'Aucun groupe n&eacute;cessaire';
	$requete = reqmysql('
		SELECT	`id`, `nom`
		FROM	`groupes_grp`
	');
	while ($ligne = Kws_mysql_fetch_object($requete))
	{
		$K_liste_groupe[$ligne->id] = $ligne->nom;
	}

	/** var liste des groupes auquel appartient le pseudo
	* @author  FouPouDave
	* @var  array
	*/
	if (!isset($K_user)) $K_user =  new stdClass();
	$K_user->groupe = array();
	$requete = reqmysql('
		SELECT		`groupes_mbr`.`groupe`	AS id,
					`groupes_grp`.`nom`		AS nom
		FROM		`groupes_mbr`
		LEFT JOIN	`groupes_grp`
			ON		`groupes_grp`.`id` = `groupes_mbr`.`groupe`
		WHERE		`pseudo` = "'.$K_pseudo.'"
			AND		`groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2"
	');
	while ($ligne = Kws_mysql_fetch_object($requete))
	{
		$K_user->groupe[$ligne->id] = $ligne->nom;
	}

	/** function indiquant si un membre appartient  un groupe
	* @author  FouPouDave
	* @param $id
	* @return un booleen 
	*/
	function is_groupe_pseudo($id_groupe)
	{
		global $K_user;

		if (array_key_exists($id_groupe, $K_user->groupe))
		{
			return true;
		}
		else
		{
			return false;
		}
	}

	/** function qui donne les droits en fonction du grade, du groupe ou autre
	* @author  FouPouDave
	* @param $gradenecessaire
	* @param $groupenecessaire
	* @param $autre condition spcifique
	* @return un booleen 
	*/
	function autorisation($condition, $gradenecessaire, $groupenecessaire, $autre='')
	{
		$bool_groupe = is_groupe_pseudo($groupenecessaire);
		$bool_grade = (get_grade() >= $gradenecessaire && $gradenecessaire!=GRD_EXCLU);

		if ($condition=='or' or $condition=='ou')
		{
			if (empty($autre))
			{
				return $bool_groupe or $bool_grade;
			}
			else
			{
				return $bool_groupe or $bool_grade or $autre;
			}
		}
		elseif ($condition=='and' or $condition=='et')
		{
			if ($groupenecessaire==0)	$bool_groupe = true;

			if (empty($autre))
			{
				return $bool_groupe and $bool_grade;
				//return (($bool_groupe) or ($bool_groupe=='0')) and $bool_grade;
			}
			else
			{
				return $bool_groupe and $bool_grade and $autre;
			}
		}
		else
		{
			return false;
		}
	}

	/** var liste des droits de chaque page de chaque module
	* @author  FouPouDave
	* @var  array
	*/
	$K_droit = array();
	$requete = reqmysql('
		SELECT	`module`,
				`page`,
				`grade`,
				`groupe`,
				`condition`
		FROM	`droit`
	');
	while ($ligne = Kws_mysql_fetch_object($requete))
	{
		$K_droit[$ligne->module][$ligne->page]['grade'] = $ligne->grade;
		$K_droit[$ligne->module][$ligne->page]['groupe'] = $ligne->groupe;
		$K_droit[$ligne->module][$ligne->page]['condition'] = $ligne->condition;
	}

	/** function qui donne les droits en fonction du module droit
	* @author FouPouDave
	* @param $mod
	* @param $ac
	* @return un booleen
	*/
	function autorisation_droit($mod,$ac='index')
	{
		global $K_droit;

		if (isset($K_droit[$mod][$ac]) AND is_array($K_droit[$mod][$ac]))
		{
			return autorisation($K_droit[$mod][$ac]['condition'],$K_droit[$mod][$ac]['grade'],$K_droit[$mod][$ac]['groupe']);
		}
		else
		{
			return '';
		}
	}

	/** function qui donne les droits en fonction du grade, du groupe ou autre
	* @author  Zeta, FouPouDave
	* @param $id
	* @return un grade 
	*/
	function get_grade($page='',$module='')
	{
		$vars = debug_backtrace();
		foreach ($vars as $id => $var)
		{
			if ($var['function']=='get_grade')
			{
				if (empty($module)) $module = basename(dirname($var['file']));
				if (empty($page))   $page =   basename($var['file'],'.php');
			}
		}

		if (empty($module))
		{
			global $mod;
			$module = $mod;
		}
		if (empty($page))
		{
			global $ac;
			$page = $ac;
		}

		if (!is_bool(autorisation_droit($module,$page)))
		{
			global $grade;
			$grd = $grade;
		}
		elseif (autorisation_droit($module,$page))
		{
			$grd = GRD_ADMIN;
		}
		else
		{
			$grd = GRD_EXCLU;
		}
		return $grd;
	}

	define('GRD_EXCLU',-2);  // ce grade doit rester toujours le plus petit
	define('GRD_VISIT',-1);
	define('GRD_MEMBR',0);
	define('GRD_MPRIV',1);
	define('GRD_MODOF',2);
	define('GRD_MODOG',3);
	define('GRD_ADMIN',4);
	define('GRD_SUPER',5);

	function get_grd_name($grd,$w=GRDNAME)
	{
		static $names;

		$i = 1;
		global $K_IN_DEMO,${'K_grade_'.$i.'_option'};
		while (isset(${'K_grade_'.$i.'_option'}))
		{
			${'grade_'.$i} = explode ('<=>',${'K_grade_'.$i.'_option'});
			$i++;
			global ${'K_grade_'.$i.'_option'};
		}

		$names=array(
				GRD_EXCLU => array('Personne','<span style="color:#ff0000">&Delta;</span>')
			,	GRD_VISIT => array('Visiteur','')
			,	GRD_MEMBR => array('Membre','')
			,	GRD_MPRIV => array(ax($grade_1[2]),'<span style="'.$grade_1[0].'">'.ax($grade_1[1]).'</span>')
			,	GRD_MODOF => array(ax($grade_2[2]),'<span style="'.$grade_2[0].'">'.ax($grade_2[1]).'</span>')
			,	GRD_MODOG => array(ax($grade_3[2]),'<span style="'.$grade_3[0].'">'.ax($grade_3[1]).'</span>')
			,	GRD_ADMIN => array(ax($grade_4[2]),'<span style="'.$grade_4[0].'">'.ax($grade_4[1]).'</span>')
			//,	GRD_SUPER => array(ax($grade_5[2]),'<span style="'.$grade_5[0].'">'.ax($grade_5[1]).'</span>')
		);
		if ($K_IN_DEMO)
		{
			$names[GRD_SUPER] = array(ax($grade_5[2]),'<span style="'.$grade_5[0].'">'.ax($grade_5[1]).'</span>');
		}

		if(!isset($names[$grd]))
		{
			return null;
		}
		return $names[$grd][$w];
	}


	define('GRDSYMBOL',1);
	define('GRDNAME',0);

	function get_grd_symbol($grd)
	{
		return html_entity_decode(get_grd_name($grd,GRDSYMBOL));
	}


	define('STU_VALIDE', 0);
	define('STU_BANNI', 1);
	//define('STU_ATTVAL', 2); // dfinie en dbut du config.php
	define('STU_RGLMNT', 3);
	define('STU_SUSPEN', 8);
	define('STU_ATTDEL', 9);

	function get_statut($stu)
	{
		static $statut = array(
			STU_VALIDE => 'valide',
			STU_BANNI => 'banni',
			STU_ATTVAL => 'en attente de validation',
			STU_RGLMNT => 'revalidation du rglement',
			STU_SUSPEN => 'suspendu',
			STU_ATTDEL => 'supprim bientt',
		);
		if(!isset($statut[$stu]))
		{
			return null;
		}
		return $statut[$stu];
	}


	/**
	 * var liste des rubriques
	 * @author  Otocinclus
	 * @var  array
	 */
	$K_liste_rubrique = array();
	$K_liste_titre_rubrique = array();
	$req_rub = reqmysql('
		SELECT	`id`, `titre`, `module`
		FROM	`rubriques`
	');
	while ($rub = Kws_mysql_fetch_object($req_rub))
	{
		$K_liste_titre_rubrique[$rub->id] = $rub->titre;
		$K_liste_module_rubrique[$rub->id] = $rub->module;
	}

	/**
	 * var liste des rubriques autorises pour le pseudo
	 * @author  Otocinclus
	 * @var  array
	 */
	$K_user->rubrique = array();
	$K_user->rubrique[0] = '(0, ';
	foreach ($K_liste_titre_rubrique as $id_rub => $titre_rub)
	{
		if (get_grade('id_'.$id_rub, 'rubriques') > GRD_VISIT)
		{
			$K_user->rubrique[0] .= $id_rub.', ';
			$K_user->rubrique[$id_rub] = $titre_rub;
		}
	}
	$K_user->rubrique[0] = substr($K_user->rubrique[0], 0, -2).')';
	asort($K_liste_titre_rubrique);
}
?>