<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: kwsql.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cration : fvrier 2016
// ---------------------------------------------------------------


if (!isset($K_prefix))				$K_prefix = '';
if (!isset($K_nombreDeRequetes))	$K_nombreDeRequetes = 0;


/** function qui gre les requetes du portail :
 *		gestion du prefixe;
 *		compte le nombre de requetes;
 *		dure des requtes;
 *		gre les erreurs;
 *
 * @author Les ancetres de la team, FouPouDave
 * @param $query		requete sql
 * @param $erreur		affichage par dfaut d'un message d'erreur le cas chance
 * @param $is_prefix 	TRUE si on a pris en compte le prefix des tables dans la requte $query
 * @return une ressource "result"
 */
function reqmysql($query, $erreur=true, $is_prefix=false)
{
	global $K_nombreDeRequetes, $K_debug_actif, $_IN_SVN, $K_prefix, $IsVisitorBot;
	static $t2;

	if (!empty($t2))
	{
		$interval = microtime(TRUE) - $t2;
	}

	if (!$is_prefix)
	{
		$query = preg_replace('!`([a-zA-Z0-9_]+`)\.([`a-zA-Z_*]+)!isU', '`'.$K_prefix.'$1.$2', $query);
		$query = preg_replace('!(FROM|INTO|JOIN|UPDATE|DELETE|ALTER|EXISTS|DESCRIBE|CREATE TABLE|TRUNCATE TABLE)\s+`([a-zA-Z0-9_]+`)!isU', '$1 `'.$K_prefix.'$2', $query);
		$query = preg_replace('#((?:FROM|JOIN)\s+`[a-zA-Z0-9_]+`)(\s+AS\s+)(\w+)#isU', '$1$2'.$K_prefix.'$3', $query);
		//echo str_replace("\n","<br />",$query).'<br />';
	}

	$t1 = microtime(TRUE);
	if (explode('.',Kws_mysql_get_server_info())[0] >= 5)
	{
		// TYPE depreci puis supprim dans version MySQL 5
		$query = str_replace('TYPE=MyISAM', 'ENGINE=MyISAM', $query);
	}
	$result = Kws_mysql_query($query);
	$t2 = microtime(TRUE);

	$K_nombreDeRequetes++;

	if (((!$result) or ( $_IN_SVN and !preg_match('#`#',$query) and !preg_match('#^SHOW TABLE#',$query) )) and $erreur)
	{
		global $K_pseudo;

		$vars = debug_backtrace();
		foreach ($vars as $id => $var)
		{
			if ($var['function']=='reqmysql')
			{
				$fichier = basename($var['file']);
				$fichier = basename(dirname($var['file'])).'/'.$fichier;

				$message1 = '<div style="text-align:center;color:red;">Il y a une erreur de requ&ecirc;te dans le fichier <strong>'.$fichier.'</strong> &agrave; la ligne <strong>'.$var['line'].'</strong>.</div>';
				$message2 = '<div style="text-align:center;color:red;">Cette erreur est intervenue le '.date('d/m/Y \&\a\g\r\a\v\e\; H:i').' lors du passage ';
				if (!empty($K_pseudo))
				{
					$message2 .= 'de <strong>'.ax($K_pseudo).'</strong>';
				}
				elseif ($IsVisitorBot)
				{
					$message2 .= 'd\'<strong>un robot</strong>';
				}
				else
				{
					$message2 .= 'd\'<strong>un visiteur</strong>';
				}
				$message2 .= '  partir <a href="'.ax(basename($_SERVER['REQUEST_URI'])).'" target="_blank" title="'.ax(basename($_SERVER['REQUEST_URI'])).'" >de ce lien</a> en venant <a href="'.ax($_SERVER['HTTP_REFERER']).'" target="_blank" title="'.ax($_SERVER['HTTP_REFERER']).'">de cette page</a>.</div>';
				$message3 = Kws_mysql_error();
				if (!empty($message3))
				{
					$message3 = '<div style="text-align:center;color:green;">'.ax($message3).'</div>';
				}
				elseif ($_IN_SVN and !preg_match('#`#',$query))
				{
					$message3 = '<div style="text-align:center;color:green;">` manquant dans la requete.</div>';
				}
				$message4 = '<div style="text-align:center;color:darkorange;">'.ax($query).'</div>';
				if (!empty($_POST))
				{
					foreach($_POST as $name => $valeur)
					{
						$tmp_post .= ax($name).' =&gt; '.($name!='sql_pass' ? ax($valeur) : '*******').'<br />';
					}
					$message5 = '<div style="text-align:center;"><strong>POST Data:</strong><br />'.$tmp_post.'</div>';
				}
			}
		}

		if ((is_callable('get_grade') AND get_grade() >= GRD_ADMIN) OR defined('__KWS_INSTALL__'))
		{
			if (is_callable('open_table'))
			{
				open_table();
			}
			if (is_callable('df_message'))
			{
				echo df_message('erreur',$message1.$message2,$message3.$message4.$message5);
			}
			else
			{
				echo $message1.$message2.$message3.$message4.$message5;
			}

			// indispensable dans le cas d'un rechargement automatique d'une page
			echo '<script type="text/javascript">
			// <![CDATA[
				alert("Une erreur dans une requte a t dtecte.");
			// ]]>
			</script>';

			if (is_callable('close_table'))
			{
				close_table();
			}
		}
		else
		{
			$req = Kws_mysql_query('
				SELECT	`id`
				FROM	`'.$K_prefix.'alerte`
				WHERE	`module`= "Requte"
					AND	`texte`	LIKE "'.str_replace('`','&#96;',sp($message1)).'%"
			');
			if (Kws_mysql_num_rows($req) < 1)
			{
				Kws_mysql_query("
					INSERT INTO	`".$K_prefix."alerte`
					SET			`date`		= '".time()."',
								`auteur`	= '".(empty($K_pseudo) ? 'Visiteur' : $K_pseudo)."',
								`module`	= 'Requte',
								`texte`		= '".str_replace('`','&#96;',sp($message1.$message2.$message3.$message4.$message5))."';
				");
			}
		}
	}

	if ($K_debug_actif=='on')
	{
		global $K_debug_tempsmini, $K_debug_forceaffrequetes;
		$K_duree_mini = intval($K_debug_tempsmini)/1000;
		$force_aff_req = $K_debug_forceaffrequetes=='on' ? true : false;
		if ($K_nombreDeRequetes!=1 && $interval>$K_duree_mini)
		{
			$_SESSION['debug_lenteur'] .= $_SESSION['memo_req'].'<p><strong style="color:red">Depuis la requete <big>'.($K_nombreDeRequetes-1).'</big> : </strong><em><big>'.round($interval*1000,3).'</big> ms</em></p>';
			$force_aff_req = true;
		}
		if (($t2-$t1)>$K_duree_mini || $force_aff_req)
		{
			$_SESSION['debug_lenteur'] .= '<p><strong '.(($t2-$t1)>$K_duree_mini ? 'style="color:red"' : '').'>Requete <big>'.$K_nombreDeRequetes.'</big> en <em><big>'.round(($t2-$t1)*1000,3).'</big> ms</em> : </strong><small>'.ax($query).'</small></p><hr />';
			$_SESSION['memo_req'] = '';
		}
		else
		{
			$_SESSION['memo_req'] = '<p><strong>Requete <big>'.$K_nombreDeRequetes.'</big> en <em><big>'.round(($t2-$t1)*1000,3).'</big> ms</em> : </strong><small>'.ax($query).'</small></p>';
		}
	}
	return $result;
}


/** functions pour la gestion de la Base de donnes
 * @param	$KwsConnectBdd : Var de connexion connect.php
 * @param	$requete : requte
*/
function Kws_mysql_affected_rows(){
	global $KwsConnectBdd;
	return mysqli_affected_rows($KwsConnectBdd);
//	return mysql_affected_rows();
}
function Kws_mysql_close(){
	global $KwsConnectBdd;
	return mysqli_close($KwsConnectBdd);
//	return mysql_close();
}
function Kws_mysql_error(){
	global $KwsConnectBdd;
	return mysqli_error($KwsConnectBdd);
//	return mysql_error();
}
function Kws_mysql_get_client_info(){
	global $KwsConnectBdd;
	return mysqli_get_client_info($KwsConnectBdd);
//	return mysql_get_client_info();
}
function Kws_mysql_get_server_info(){
	global $KwsConnectBdd;
	return mysqli_get_server_info($KwsConnectBdd);
//	return mysql_get_server_info();
}
function Kws_mysql_insert_id(){
	global $KwsConnectBdd;
	return mysqli_insert_id($KwsConnectBdd);
//	return mysql_insert_id();
}
function Kws_mysql_query($requete){
	global $KwsConnectBdd;
	return mysqli_query($KwsConnectBdd, $requete);
//	return mysql_query($requete);
}
function Kws_mysql_real_escape_string($value){
	global $KwsConnectBdd;
	return mysqli_real_escape_string($KwsConnectBdd, $value);
//	return mysql_real_escape_string($value);
}


/** function pour la gestion des rsultats
 * @param	$result : resultat
*/
function Kws_mysql_data_seek($result, $offset=0){
	return mysqli_data_seek($result, $offset);
//	return mysql_data_seek($result, $offset);
}
function Kws_mysql_fetch_array($result, $resulttype = MYSQLI_BOTH){
	if ($resulttype == 'ASSOC')		$resulttype = MYSQLI_ASSOC;
	elseif ($resulttype == 'NUM')	$resulttype = MYSQLI_NUM;
	return mysqli_fetch_array($result, $resulttype);
//	return mysql_fetch_array($result);
}
function Kws_mysql_fetch_assoc($result){
	return mysqli_fetch_assoc($result);
//	return mysql_fetch_assoc($result);
}
function Kws_mysql_fetch_object($result){
	return mysqli_fetch_object($result);
//	return mysql_fetch_object($result);
}
function Kws_mysql_fetch_row($result){
	return mysqli_fetch_row($result);
//	return mysql_fetch_row($result);
}
function Kws_mysql_field_name($result, $fieldnr){
	return mysqli_fetch_field_direct($result, $fieldnr);
//	return mysql_field_name($result, $fieldnr);
}
function Kws_mysql_free_result($result){
	return mysqli_free_result($result);
//	return mysql_free_result($result);
}
function Kws_mysql_num_fields($result){
	return mysqli_num_fields($result);
//	return mysql_num_fields($result);
}
function Kws_mysql_num_rows($result){
	return mysqli_num_rows($result);
//	return mysql_num_rows($result);
}
function Kws_mysql_result($result, $row, $field=0){
//	return  mysqli_data_seek() en conjonction de mysqli_field_seek() et mysqli_fetch_field() ;
//	A faire voir: http://php.net/manual/fr/function.mysql-result.php
//			et http://php.net/manual/fr/class.mysqli-result.php#114223

// En attendant: utilsation de :
// http://php.net/manual/fr/class.mysqli-result.php#109782
	$result->data_seek($row);
	$datarow = $result->fetch_array();
	return $datarow[$field];
//	return mysql_result($result, $row, $field);
}
