<?php
// $Id: lib.agent.php 242 2007-10-15 18:19:19Z mike007.devpwsphp $
/************************************************************
*
* File: lib.agent.php3
*
* Authors:       Erwan Demure edemure@free.fr
*
* Maintainer:    $Author$
*                Erwan Demure edemure@free.fr
* Created:       Thu Sep  6 10:10:59 2001
* Last CVS Date: $Date$
* Last Modified: Tue May 14 18:31:01 2002 by Erwan Demure edemure@cyberdeck.net
* Version:       0.1
*
* Copyright (c)2001 by PHPFun
*
* Description:
************************************************************/
// ------------------------ agents/OS Configuration ------------------------ //

// Version du fichier de configuration.

$this->_libVersion="20020514_18H30";

// Dclaration des outsiders en premiers
// car dans leur signature ils peuvent inclure
// le mot cl d'un 'tnor' pour tromper
// les dtecteurs d'agent :)

// A chaque entre corespond le type d'agent et ventuellement
// une regex associ qui permet de dterminer la version de l'agent.
// L'utilisation de regex permet de 'dynamiser' la getion des versions
// de browsers sans trop toucher le fichier de configuration.
// Attention, certain Robot n'indique pas leur version dans leur signature :(

$this->_typeAgent=array(
// Partie Robot.
'NomadeBot' => array('regex' => '^.*NomadeBot.([0-9]*.[0-9]*).*',
'type' => 'Robot',
'underType' => 'Robot' ),
'Googlebot' => array('regex' => '^.*Googlebot.([0-9]*.[0-9]*).*',
'type' => 'Robot',
'underType' => 'Search engine spiders'),
'Albert Indexer' => array('regex' => '^.*Albert Indexer.([0-9]*.[0-9]*).*',
'type' => 'Robot',
'underType' => 'Robot'),
'Indy Library' => array( 'type' => 'Robot'
),
'ArchitextSpider' => array( 'type' => 'Robot'
),
'psbot' => array( 'regex' => '^.*psbot.([0-9]*.[0-9.]*).*',
'type' => 'Robot',
'underType' => 'Mirroring'
),
'Wget' => array( 'regex' => '^.*Wget.([0-9]*.[0-9.]*).*',
'type' => 'Robot',
'userAgentInfoURL' => 'http://www.picsearch.com/bot.html'),

'Slurp' => array( 'regex' => '^.*Slurp.([a-z]*).*',
'type' => 'Robot',
'underType' => 'Search engine spiders',
'userAgentInfoURL' => 'http://www.inktomi.com/slurp.html'),
'ia_archiver' => array( 'type' => 'Robot',
'underType' => 'Miscellaneous',
'userAgentInfoURL' => 'http://www.alexa.com'),

// Partir Navigateur.
'Lynx' => array( 'regex' => '^Lynx.([0-9]*.[0-9b]*.[0-9]).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://lynx.browser.org'),
'Opera' => array( 'regex' => '^.*Opera.([0-9]*.[0-9]*).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://www.opera.com'),
'Konqueror' => array( 'regex' => '^.*Konqueror.([0-9]*.[0-9b]*.[0-9]).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://www.konqueror.org/konq-browser.html'),
'Galeon' => array( 'regex' => '^.*Galeon.([0-9]*.[0-9b]*.[0-9]).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://galeon.sourceforge.org'),
'NetCaptor' => array( 'regex' => '^.*NetCaptor.([0-9\.]*).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://www.netcaptor.com'),
'SiteKiosk' => array( 'regex' => '^.*SiteKiosk.([0-9]*.[0-9b]*).*',
'type' => 'Browser securised',
'userAgentInfoURL' => 'http://www.sitekiosk.com'),
'MSIE' => array( 'regex' => '^.*MSIE.([0-9]*.[0-9b]*).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://www.microsoft.com/windows/ie/default.asp'),
'Netscape' => array( 'regex' => '^.*Netscape6?.([0-9]*.[0-9]*).*',
'type' => 'Browser',
'userAgentInfoURL' => 'http://browsers.netscape.com/browsers'),
'Mozilla' => array( 'regex' => 'Mozilla.([0-9]*.[0-9]*).*',
'userAgentInfoURL' => 'http://www.mozilla.org',
'type' => 'Browser') );


// Double table de haches qui permet de dissocier
// L'os de sa version en fonction des infos
// contenues dans la signature

$this->_agent_os = Array(
'Win3.11'        => array( 'os' => 'Windows',
'version' => '3.11'),
'Windows 95'     => array( 'os' => 'Windows',
'version' => '95'),
'Win95'          => array( 'os' => 'Windows',
'version' => '95'),
'Win32'          => array( 'os' => 'Windows',
'version' => '95'),
'Windows 98'     => array( 'os' => 'Windows',
'version' => '98'),
'Win98'          => array( 'os' => 'Windows',
'version' => '98'),
'Windows 2000' => array( 'os' => 'Windows',
'version' => '2000'),
'Windows NT 5.0' => array( 'os' => 'Windows',
'version' => '2000'),
'Windows NT 5.1' => array( 'os' => 'Windows',
'version' => 'XP'),
'Windows NT'     => array( 'os' => 'Windows',
'version' => 'NT'),
'WinNT'          => array( 'os' => 'Windows',
'version' => 'NT'),
'Win 9x 4.90'    => array( 'os' => 'Windows',
'version' => 'me'),
'Mac PowerPC'    => array( 'os' => 'Mac PPC',
'version' => ''),
'Mac PPC'        => array( 'os' => 'Mac PPC'
),
'PPC'            => array( 'os' => 'Mac PPC'
),
'Linux'          => array( 'os' => 'Linux',
'regex' => '^.*Linux.([0-9]*.[0-9]*.[0-9]\-[0-9])*'
),
'SunOS'          => array( 'os' => 'SunOS',
'regex' => '^.*SunOS.([0-9]*.[0-9])*'
),
'PPC'            => array( 'os' => 'Mac PPC'
),
'FreeBSD'        => array( 'os' => 'FreeBSD'
),
'AIX'            => array( 'os' => 'AIX'
),
'IRIX'           => array( 'os' => 'IRIX' ,
'regex' => '^.*IRIX.([0-9]*.[0-9])*'),
'HP-UX'          => array( 'os' =>  'HP-UX' ),
'OS/2'           => array( 'os' =>  'OS/2' ),
'NetBSD'         =>  array( 'os' => 'NetBSD' )
);

?>
