<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: traitement_variable.php 1033 2016-02-11 20:17:54Z otocinclus $
// ---------------------------------------------------------------
// Cration : 23/09/07 par FouPouDave
// ---------------------------------------------------------------


/** function pour calculer le temps en secondes
* @author FouPouDave
* @return un timestamp en secondes
*
* CETTE FONCTION N'EST PLUS NECESSAIRE AVEC PHP 5
* IL SUFFIT DE PASSER TRUE A microtime()			- oTo -
*
function micro_time()
{
	$calcul = explode(" ", microtime());
	return $calcul[0] + $calcul[1];
}
*/

// Activer la variable  $kws_debugmode pour afficher les variables cres
// Ne jamais mettre $kws_debugmode  false, on active ou dsactive uniquement cette ligne
//$kws_debugmode = true;
if (!isset($kws_debugmode))
{
	$kws_debugmode = false;
}

if (!defined('__KWS_INSTALL__'))
{
	convertion('_POST', $kws_debugmode);
	convertion('_GET', $kws_debugmode);
	convertion('_REQUEST', $kws_debugmode);
	convertion('_COOKIE', $kws_debugmode);
}


/** function qui protge la variable 
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author FouPouDave
* @param $variable variables superglobales
* @return variables superglobales traites
*/
function convertion($var, $debugmode=false)
{
	global ${$var};
	if (isset(${$var}))
	{
		foreach(${$var} as $cle=>$contenu)
		{
			$prefix = substr($cle, 0, 4);
			if	($prefix=='flo_' or $prefix=='int_' or $prefix=='htm_' or $prefix=='sql_' or $prefix=='xss_')
			{
				${$var}[$cle] = traitement_variable($contenu,$prefix);

				if ($debugmode)
				{
					global $DebugModeVarTot;
					$DebugModeVar = '$'.$var.'[\''.$cle.'\'] = ';
					if (is_array(${$var}[$cle]))
					{
						$DebugModeVar .= '<pre>'; print_r(${$var}[$cle]); echo '</pre>';
					}
					else
					{
						$DebugModeVar .= ${$var}[$cle].'<br />';
					}
					echo $DebugModeVar;
					$DebugModeVarTot .= $DebugModeVar;
				}
			}
		}
	}
}


/** function qui protge la variable
* A appliquer  des variables
* @author FouPouDave
* @param $variable valeur  proteger en fonction de son type ($type : flo, int, htm, sql ou xss)
* @return variable filtre
*/
function traitement_variable($variable, $type=NULL)
{
	if (is_array($variable))
	{
		foreach($variable as $cle=>$contenu)
		{
			$variable[$cle] = traitement_variable($contenu, $type);
		}
	}
	else
	{
		$type = strtolower($type);

		if ($type == 'flo_' or empty($type))
		{
			if (is_numeric($variable))
			{
				$type = 'flo_';
				$variable = floatval($variable);
			}
			elseif ($type == 'flo_')
			{
				$variable = 0;
			}
		}
		if ($type == 'int_' or empty($type))
		{
			if (is_numeric($variable) && ($variable == intval($variable)))
			{
				$type = 'int_';
				$variable = intval($variable);
			}
			elseif ($type == 'int_')
			{
				$variable = 0;
			}
		}
		if ($type == 'htm_')
		{
			$variable = htmlentities($variable, ENT_QUOTES);
		}
		if ($type == 'sql_' or empty($type))
		{
			$type = 'sql_';
			$variable = SQLprotect($variable);
		}
		if ($type == 'xss_')
		{
			$variable = antiXSS($variable);
		}
	}	
	return $variable;
}


/** function qui protge la variable contre les injections SQL
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author jack, mike007, zeta, patami
* @param $value valeur  proteger
* @return variable filtre
*/
function SQLprotect($value)
{
	// Stripslashes
	static	$t=null;
	if ($t==null)
	{
		$t=get_magic_quotes_gpc();
	}
	if ($t)
	{
		$value = stripslashes($value);
	}

	// Protection SQL
	// @ --> Solution dfinitive...r881
	$value = Kws_mysql_real_escape_string($value);

	//on retourne une valeur filtre
	return $value;
}


/** function qui protge la variable contre les injections SQL alias de SQLprotect
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author jack, mike007, zeta, patami
* @param $value valeur  proteger
* @return variable filtre
* @see SQLprotect
*/
function sp($value)
{
	return SQLprotect($value);
}


/** function anti XSS : A appliquer lors de l'affichage si on n'utilise pas bbcode()
* @author mike007, zeta, patami, FouPouDave
* @param $value valeur  proteger
* @param $TA Si on utilise la fonction sur dans un textarea
* @return variable filtre
*/
function antiXSS($value,$TA=false)
{
	// les entiers
	if (is_numeric($value) && $value == intval($value))
	{
		return $value;
	}

	// Stripslashes
	static	$t=null;
	if ($t==null)
	{
		$t=get_magic_quotes_gpc();
	}
	if ($t and !$TA)
	{
		$value = stripslashes($value);
	}

	//on retourne une valeur filtre
	return htmlentities($value,ENT_COMPAT,'ISO-8859-15');
}


/** function anti XSS alias de antiXSS : A appliquer lors de l'affichage si on n'utilise pas bbcode()
* @author mike007, zeta, patami, FouPouDave
* @param $value valeur  proteger
* @return variable filtre
* @see antiXSS
*/
function ax($value,$TA=false)
{
	return antiXSS($value,$TA);
}

?>