<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_agenda.php 1022 2016-02-04 11:53:27Z mike007 $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_agenda.php
 *
 * Cette librairie contient toutes les fonctions de base ncssaires au bon fonctionnement de
 * l'Agenda. Cette librairie est systmatiquement incluse dans tout les fichiers.
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */

// Ligne de scu
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}
//error_reporting(0);

// initialisation Overlib
if (!isset($K_mod) || $K_mod=='') $K_mod='agenda';
echo '
<script type="text/javascript" src="modules/'.$K_mod.'/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000; background-image:none; left:20px; top:20px; width: 180px;"> </div>';

if (!isset($theme_version))
{
	// ajout feuille de style 
	$style_ref = file_exists('themes/'.$K_theme.'/style/agenda.css') ? 'themes/'.$K_theme.'/style/agenda.css' : 'modules/'.$K_mod.'/style/style.css'; 
	echo '<script type="text/javascript" language="javascript"> 
		var head = document.getElementsByTagName("head")[0]; 
		var head_inc = document.createElement("link"); 
		head_inc.rel = "stylesheet"; 
		head_inc.type = "text/css"; 
		head_inc.href = "'.$style_ref.'"; 
		head.appendChild(head_inc); 
	</script>';
}

// paramtres agenda
$agenda_aff_fetes = unserialize($agenda_aff_fetes);

// Dfinition des variables
$tmois		= array('Janvier', 'F&eacute;vrier', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Aot', 'Septembre', 'Octobre', 'Novembre', 'D&eacute;cembre');
$tshortmois = array('Jan', 'F&eacute;v', 'Mars', 'Avr', 'Mai', 'Juin', 'Jui', 'Ao&ucirc;t', 'Sep', 'Oct', 'Nov', 'D&eacute;c');
$tjours 	= array('Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi');
//Aujourd'hui
$today = getdate();
$today['weekday'] = $tjours[$today['wday']];
$today['month']   = $tmois[$today['mon']-1];


// ===========================================================================================================
//
//									  F O N C T I O N S
//
// ===========================================================================================================


/**
 *
 * Cette fonction initialise la variable globale $cal[]  partir des paramtres transmis.
 *
 * @param $a : anne, doit tre suprieure  1970
 * @param $m : numro du mois  (1-12)
 * @param $j : jour du mois (1-31) (optionnel)
 * @param $w : Numro de la semaine (1-53) (optionnel)
 * @return rien. (maj de la variable globale $cal[])
 */
function dateInfo($a, $m, $j='1', $w='0')
{
	global $cal;
	if (!isset($a))  $a=date('Y');
	if (!isset($m))  $m=date('n');
	if (!isset($j))  $j=date('d');
	if ($w != 0)
	{
		//Recherche premier jour de la semaine
		$cal['annee0'] = $a;
		$m=12;
		while (date(W, mktime(0,0,0,$m, 1, $a)) >= $w && $m>1) $m--;
		$j=-5;
		while (date(W, mktime(0,0,0,$m, $j, $a)) != $w) $j++;
	}

	// Le calendrier
	$timestamp = mktime(0, 0, 0, $m, $j, $a);
	$cal['annee']		  = date('Y', $timestamp);
	$cal['jour']		  = date('j', $timestamp);
	$cal['dayofweek']	  = date('w', $timestamp);
	$cal['mois']		  = date('m', $timestamp);
	$cal['semaine'] 	  = date('W', $timestamp);
	$cal['nbJour_mois']   = date('t', $timestamp);
	$cal['1er_jour_mois'] = date('w', mktime(0, 0, 0, $m, 1, $a));

	// suivant, precedant, ...
	$cal['sui_mois'] = mktime(0, 0, 0, $m+1, $j, $a);
	$cal['pre_mois'] = mktime(0, 0, 0, $m-1, $j, $a);
	$cal['sui_sem']   = date('W', mktime(0, 0, 0, $m, $j+7, $a));
	$cal['sui_sem_a'] = $cal['sui_sem'] > $cal['semaine'] ? $cal['annee0'] : $cal['annee0']+1;
	$cal['pre_sem']   = date('W', mktime(0, 0, 0, $m, $j-7, $a));
	$cal['pre_sem_a'] = $cal['pre_sem'] < $cal['semaine'] ? $cal['annee0'] : $cal['annee0']-1;
	$cal['sui_jour'] = mktime(0, 0, 0, $m, $j+1, $a);
	$cal['pre_jour'] = mktime(0, 0, 0, $m, $j-1, $a);
}


/**
 *
 * cette fonction retourne l'image du thme si elle existe, sinon l'image par dfaut de l'Agenda.
 *
 * @param $img : nom de l'image SANS LE CHEMIN (ex : anniversaire.png)
 * @return : nom complet de l'image AVEC LE CHEMIN (ex : modules/agenda/imgs/anniversaire.png ou themes/monTheme/images/agenda/anniversaire.png)
 */
function affImage($img)
{
	global $K_mod, $K_theme;
	if (file_exists('themes/'.$K_theme.'/images/'.$K_mod.'/'.$img))
		return 'themes/'.$K_theme.'/images/'.$K_mod.'/';
	else
		return 'modules/'.$K_mod.'/imgs/'.$img;
}


/**
 *
 * cette fonction gnre une liste de slection HTML (<select>) numrique paramtrable
 *
 * @param $name : Nom du select
 * @param $valeur : valeur active
 * @param $min : valeur mini du select
 * @param $max : valeur max du select
 * @param $pas : optionnel. Pas d'incrmentation (1 par dfaut)
 * @param $lbl : optionnel. Nom  afficher en tte de liste si spcifi
 * @return <select> HTML prt  tre affich
 */
function select($nom, $valeur, $min, $max, $pas=1, $lbl='')
{
	// pour eviter le duplicate onchange
	$nom_only = explode('" ',$nom);

	if ($lbl == '') $lbl = $min;
	$c = $pas/abs($pas);
	$select = '
	<select name="'.$nom_only[0].'" id="'.$nom.'">';
	for ($i=$min; ($c*$i)<=($c*$max); $i+=$pas)
	{
		$select .= '
		<option value="'.$i.'"'.($i == $valeur ? ' selected="selected"' : '').'>'.($i==$min ? (($i<10 and is_numeric($lbl)) ? '0':'').$lbl : ($i<10 ? '0':'').$i).'</option>';
	}

	$select .= '
	</select>';
	return $select;
}


/**
 *
 * cette fonction gnre une liste de slection HTML (<select>) avec tous les grades du portail
 *
 * @param $name : Nom du select
 * @param $id_grade : ID du grade qui sera slectionn par dfaut
 * @return <select> HTML prt  tre affich
 */
function selectGrade($name, $id_grade)
{
	$select = '<select name="'.$name.'" id="'.$name.'">';
	for($i=-1; $i<5; $i++)
	{
		$select .= '
		<option value="'.$i.'"'.($id_grade == $i ? ' selected="selected"' : '').'>'.($i==-1 ? '* - Tout le monde' : $i.' - '.get_grd_name($i)).'</option>';
	}
	$select .= '
	</select>';
	return $select;
}


/**
 *
 * cette fonction gnre une liste de slection HTML (<select>) avec tous les groupes du portail
 *
 * @param $nom : Nom du select
 * @param $valeur : groupe qui sera slectionn par dfaut
 * @return <select> HTML prt  tre affich
 */
function selectGroupe($nom, $valeur)
{
	global $K_pseudo;
	$select = '
	<select name="'.$nom.'">
	<option value="0"'.($valeur==0 ? ' selected="selected"' : '').'> Tous les groupes </option>';
	$req_grp = reqmysql('
		SELECT `groupes_grp`.`id`, `groupes_grp`.`nom`
		FROM `groupes_grp`
		JOIN `groupes_mbr`
		WHERE `groupes_mbr`.`pseudo` = "'.$K_pseudo.'" AND `groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2" AND `groupes_mbr`.`groupe`=`groupes_grp`.`id`
		ORDER BY `groupes_grp`.`nom` ASC
	');

	while ($obj_grp = Kws_mysql_fetch_object($req_grp))
	{
		$obj_grp->nom = ax($obj_grp->nom);
		$select .= '
		<option value="'.$obj_grp->id.'"'.($valeur==$obj_grp->id ? ' selected="selected"' : '').'>'.$obj_grp->nom.'</option>';
	}
	$select .= '
	</select>';
	return $select;
}


/**
 *
 * cette fonction gnre une liste de slection HTML (<select>) avec toutes les catgories de l'agenda
 *
 * @param $nom : Nom du select
 * @param $valeur : catgorie qui sera slectionne par dfaut
 * @return <select> HTML prt  tre affich
 */
function selectCat($nom, $valeur='')
{
	global $agenda_cat;
	$select = '
	<select name="'.$nom.'">';
	foreach($agenda_cat as $i => $cat)
	{
		$select .= '
		<option value="'.$i.'"'.($i == $valeur ? ' selected="selected"' : '').'>'.$cat.'</option>';
	}
	$select .= '
	</select>';
	return $select;
}


/**
 *
 * Calcul de l'offset de dbut de tableau en fonction du premier jour du mois
 *
 * @param $dmois : jour de la semaine du 1er du mois
 * @return : offset de dbut de tableau
 */
function offsetMois($dmois)
{
	switch ($dmois)
	{
		case 0 : // le mois commnence un dimanche
			$offset = -5;
			break;
		case 1 : // le mois commnence un lundi
			$offset = 1;
			break;
		case 2 : // le mois commnence un mardi
			$offset = 0;
			break;
		case 3 : // le mois commnence un mercredi
			$offset = -1;
			break;
		case 4 : // le mois commnence un jeudi
			$offset = -2;
			break;
		case 5 : // le mois commnence un vendredi
			$offset = -3;
			break;
		case 6 : // le mois commnence un samedi
			$offset = -4;
			break;
	}
	return $offset;
}


/**
 *
 * Recherche des vnements dans la base
 *
 * @param $deb : date de dbut de la priode de recherche au format UNIX
 * @param $fin : date de fin de la priode de recherche au format UNIX
 * @return tableau  2 dimensions contenant les vnements sous forme d'objet
 *
 */
function findEvent($deb, $fin)
{
	global $K_pseudo, $agenda_cat;

	$req_event = reqmysql('
		SELECT	UNIX_TIMESTAMP(`agenda_events`.`date`) AS debut, UNIX_TIMESTAMP(`agenda_events`.`date_fin`) AS fin,
				`agenda_events`.`titre`,  `agenda_events`.`texte`, `agenda_events`.`lieu`, `agenda_events`.`contact`,
				`agenda_events`.`idx` AS id_event,
				`users`.`id` AS id_auteur, `users`.`pseudo` AS auteur, `users`.`avatar` AS avatar
		FROM `agenda_events`
		LEFT JOIN `users` ON `users`.`id` = `agenda_events`.`id_user`
		LEFT JOIN `groupes_mbr` ON `agenda_events`.`groupe` = `groupes_mbr`.`groupe`
		WHERE	((`groupes_mbr`.`pseudo` = "'.$K_pseudo.'" AND `groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2" AND `groupes_mbr`.`groupe` = `agenda_events`.`groupe`) OR `agenda_events`.`groupe` = "0")
				AND `agenda_events`.`grade` <= "'.get_grade().'"
    			AND UNIX_TIMESTAMP(`agenda_events`.`date`) < "'.$fin.'"
    			AND UNIX_TIMESTAMP(`agenda_events`.`date_fin`) >= "'.$deb.'"
				AND `agenda_events`.`is_valid` = "1"
		ORDER BY `agenda_events`.`date`
	');
	
	while ($obj_event = Kws_mysql_fetch_object($req_event))
	{
		if ($obj_event->debut< $deb) $jourJ = $deb;
		else $jourJ = $obj_event->debut;
		while ($jourJ <= $obj_event->fin && $jourJ<$fin)
		{
			$currentday = date('j', $jourJ);
			// inscription dans le tableau des vnements
			$event[$currentday][] = $obj_event;
			// jour suivant
			$jourJ = mktime(0, 0, 0, date('n', $jourJ), $currentday+1, date('Y', $jourJ));
		}
	}
	return $event;
}


/**
 *
 * Recherche des anniversaires dans la base
 *
 * @param $value : Valeur  partir de laquelle sera cre la requete
 * @param $periode : priode concerne par la recherche : 'hebdo' sinon 'mois' par dfaut.
 * @return Les rsultats sont retourn dans un tableau.
 */
function findAnniv($value, $periode='mois')
{
	$anniv = array();
	if ($periode=='mois')	$cond = 'MONTH(`date_naissance`)="'.$value.'"';
	else 					$cond = 'RIGHT(`date_naissance`, 5) IN ('.$value.')';

	$req_anniv = reqmysql('
		SELECT		`agenda_anniv`.`pseudo`,
					`agenda_anniv`.`id`,
					`agenda_anniv`.`id_mbr`,
					DAYOFMONTH( `agenda_anniv`.`date_naissance` ) AS Jour,
					`agenda_anniv`.`aff_naissance`,
					`agenda_anniv`.`msg_anniversaire`,
					`users`.`avatar`,
					`users`.`statut`
		FROM		`agenda_anniv`
		LEFT JOIN	`users`
			ON		`users`.`id` = `agenda_anniv`.`id_mbr`
		WHERE		(`users`.`statut` = "'.STU_VALIDE.'" OR `agenda_anniv`.`id_mbr` = 0)
			AND		'.$cond.'
		ORDER BY	`Jour`, `pseudo` ASC
	');

	while ($obj_anniv = Kws_mysql_fetch_object($req_anniv))
	{
		// inscription dans le tableau des anniversaires
		$anniv[$obj_anniv->Jour][] = $obj_anniv;
	}
	return $anniv;
}


/**
 *
 * Recherche des ftes dans la base
 *
 * @param $cond : conditions de la requte sql
 * @return Les rsultats sont retourn dans un tableau  2 dimensions
 */
function findFetes($cond)
{
	global $cal, $agenda_fetesMob;

	if ($agenda_fetesMob != $cal['annee']) $agenda_fetesMob=fetesMobiles($cal['annee']);
	$fete = array();
	$req_fetes = reqmysql('
		SELECT `id`, `nom`, `jour`, `logo`, `ferie`
		FROM `agenda_fetes`
		WHERE '.$cond.'
		ORDER BY `jour` ASC, `id` ASC
	');
	while ($obj_fetes = Kws_mysql_fetch_object($req_fetes))
	{
		if ($fetes[$obj_fetes->jour]['nom'] != '') $fetes[$obj_fetes->jour]['nom'] .= '<br />';
		$fetes[$obj_fetes->jour]['nom']	  .= $obj_fetes->nom;
		$fetes[$obj_fetes->jour]['logo']  =  $obj_fetes->logo;
		$fetes[$obj_fetes->jour]['ferie'] += $obj_fetes->ferie;
	}

	return $fetes;
}

function fetesMobiles($annee)
{
	// Pques
	if ($annee >= 1970 AND function_exists('easter_date'))
	{
		$jourPaques = date('d', easter_date($annee));
		$moisPaques = date('m', easter_date($annee));
		$paques = $moisPaques.'-'.$jourPaques;

		// Mardi gras (47 jours avant Paques)
		$mardiGras = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques-47, $annee));

		// Mercredi des Cendres (46 jours avant Paques)
		$cendres = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques-46, $annee));

		// Rameaux (dimanche avant Paques)
		$rameaux = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques-7, $annee));

		// Vendredi Saint  (Vendredi avant Paques)
		$vendrediSaint = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques-2, $annee));

		// Lundi de Paques
		$lundiPaques = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques+1, $annee));

		// Ascension
		$ascension = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques+39, $annee));

		// Pentecte
		$pentecote = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques+49, $annee));

		// Lundi de Pentecte
		$lundiPentecote = date('m-d', mktime(0, 0, 0, $moisPaques, $jourPaques+50, $annee));
	}

	// Heure d't
	$jourHeureEte = 31;
	while (date('w', mktime(0, 0, 0, 3, $jourHeureEte, $annee))!=0)  $jourHeureEte--;
	$heureEte = '03-'.$jourHeureEte;

	// Heure d'hiver
	$jourHeureHiver = 31;
	while (date('w', mktime(0, 0, 0, 10, $jourHeureHiver, $annee))!=0) $jourHeureHiver--;
	$heureHiver = '10-'.$jourHeureHiver;


	// Mise  jour de la table des ftes
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$paques.'"		   WHERE `nom` = "Pques"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$lundiPaques.'"    WHERE `nom` = "Lundi de Pques"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$mardiGras.'"	   WHERE `nom` = "Mardi Gras"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$cendres.'" 	   WHERE `nom` = "Mercredi des Cendres"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$rameaux.'" 	   WHERE `nom` = "Rameaux"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$vendrediSaint.'"  WHERE `nom` = "Vendredi Saint"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$ascension.'"	   WHERE `nom` = "Ascension"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$pentecote.'"	   WHERE `nom` = "Pentecte"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$lundiPentecote.'" WHERE `nom` = "Lundi de Pentecte"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$heureEte.'"	   WHERE `nom` = "Heure d&#039;t ( + 1h )"');
	reqmysql('UPDATE `agenda_fetes` SET `jour` = "'.$heureHiver.'"	   WHERE `nom` = "Heure d&#039;hiver ( - 1h )"');

	reqmysql('UPDATE `parametres` SET `valeur` = "'.$annee.'" WHERE `nom` = "agenda_fetesMob"');

	return $annee;
}

?>
