<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_anniv.php 1022 2016-02-04 11:53:27Z mike007 $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_anniv.php
 *
 * Cette librairie contient toutes les fonctions ncssaires au bon fonctionnement des
 * anniversaires dans l'Agenda
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */

// Scu
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

/**
 *
 * met en forme l'affichage de la liste des anniversaires par mois
 *
 * @param $req  : requete sur la table agenda_anniv dterminant les anniversaires  afficher
 * @param $page : fichier demandant l'affichage des anniversaires
 * @return : liste des anniversaires, au format html
 */
function affAnniv($req, $page='')
{
	global $tmois, $K_mod, $K_theme;

	while($ligne=Kws_mysql_fetch_object($req))
	{
		if ($ligne->statut != STU_VALIDE && get_grade() < GRD_MODOG) continue;
		list($date_nais['annee'], $date_nais['mois'], $date_nais['jour']) = explode('-', $ligne->date_naissance);
		if ($ligne->avatar != '')
		{
			$avatar = '<img src="'.$ligne->avatar.'" style="padding:1px;border:none;width:18px;height:18px;float:left;" alt="avatar" />';
		}
		else
		{
			$avatar = '<span style="height:18px;width:18px;float:left;">&nbsp;</span>';
		}
		$aff_mois[intval($date_nais['mois'])] .= '
		<li style="clear:both;">
		'.$avatar.'<span style="width:15em; padding-left:4px; float:left;">
		'.($ligne->id_mbr==0 ? $ligne->pseudo : '<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne->id_mbr.'">'.$ligne->pseudo.'</a>').'
		</span>
		<span style="width:20em; float:left;">n&eacute;(e) le <strong>'.($date_nais['jour'] == '01' ? '1er' : $date_nais['jour']).' '.$tmois[$date_nais['mois']-1].' '.(intval($date_nais['annee'])!=0 ? $date_nais['annee'] : '').'</strong></span>';
		if ($page == 'gestion')
		{
			$aff_mois[intval($date_nais['mois'])] .= '
			<a href="index.php?mod='.$K_mod.'&amp;ac='.$page.'&amp;action=anniv&amp;do=edit&amp;int_id='.$ligne->id.'">
			<img src="themes/'.$K_theme.'/images/gestion/edit.png" border="0" alt="modifier" title="Modifier la date de naissance" /></a> &nbsp;&nbsp;&nbsp;
			<a href="index.php?mod='.$K_mod.'&amp;ac='.$page.'&amp;action=anniv&amp;do=delete&amp;int_id='.$ligne->id.'"
				onclick="if (confirm(\'tes vous sr de vouloir effacer la date de naissance de '.$ligne->pseudo.' ?\') == true) {return true} else {return false}">
			<img src="themes/'.$K_theme.'/images/gestion/del.png" border="0" alt="effacer" title="Effacer la date de naissance" /></a>';
		}
		$aff_mois[intval($date_nais['mois'])] .= '&nbsp;<br />
		</li>';
	}

	$contenu = '<ul style="list-style-type:none; text-indent:0px;">';
	for($i=1; $i<13;$i++)
	{
		if ($aff_mois[$i] != '')
		{
			$contenu .= '
			<li><br />
			<img src="'.affImage('puce.png').'" alt="puce" /> Au mois de <strong>'.$tmois[$i-1].' :</strong><br /><br />
			</li>'.$aff_mois[$i].'
			<br /><hr />';
		}
	}
	return $contenu.'</ul>';
}


/**
 *
 * Affiche le formulaire de saisie ou dition d'une date de naissance
 *
 * @param $date : valeur initiale de la date de naissance au format SQL
 * @param $aff  : valeur initiale du flag grant le type d'affichage de la date de naissance
 * @param $id   : id (dans la table users) du membre concern
 * @return rien
 */
function editNaissForm($date='0000-00-00', $aff=0, $id='')
{
	global $K_mod, $K_ac, $today;
	list($a, $m, $j) = explode('-', $date);
	echo '
	<form action="index.php" method="post" id="naissform" name="naissform">
	<input type="hidden" name="mod" value="'.$K_mod.'" />
	<input type="hidden" name="ac" value="'.$K_ac.'" />
	<input type="hidden" name="action" value="editNaiss" />
	<input type="hidden" name="id" value="'.$id.'" />
	<span style="width:250px; float:left;">Date de Naissance : </span>
    '.select('int_naissjour', $j, 0, 31, 1, 'jour').' / '.select('int_naissmois', $m, 0, 12, 1, 'mois').' / '.select('int_naissannee', $a, $today['year'], $today['year']-100, -1, 'anne').'
	<br />
	<span style="width:250px; float:left;">Montrer ma date de naissance compl&egrave;te : </span>
	<input type="radio" value="1" name="int_aff_naissance"'.($aff=='0' ? ' checked="checked"' : '').' />Oui&nbsp;&nbsp;
	<input type="radio" value="0" name="int_aff_naissance"'.($aff!='0' ? ' checked="checked"' : '').' />Non<br /><br />
	<span style="width:250px; float:left; text-align:right;">
	<input type="submit" id="submit" name="envoyerNaiss" value=" Envoyer " />&nbsp;&nbsp;&nbsp;
	</span>
	</form>
	<input type="button" id="button" name="retour" value=" Retour " onclick="history.go(-1);" />';
}



/**
 * Envoie un message (MP ou Email) pour souhaiter un bon anniversaire
 * et met  jour la bdd pour indiquer que le message a t envoy.
 *
 * @param $dest : requete contenant les infos du membre concern
 * @param $type : flag dterminant le type de message (MP ou E-mail)  envoyer
 * @return rien.
 */
function envoyerMsgAnniv($dest, $type)
{
	global $today, $agenda_msg_anniv, $K_expediteurMP, $K_expediteur, $K_email_expediteur, $K_mailmp, $K_url_site, $K_user;

	$titre   = 'Joyeux anniversaire';
	$message = str_replace ("%pseudo%","$dest->pseudo",$agenda_msg_anniv) ;
	$message = str_replace ("%age%","$dest->age",$message) ;
	$message = str_replace ("%site%", "$K_url_site", $message);
	$message = str_replace ("%id%", $K_user->id, $message);
	$message = html_entity_decode($message);

	if ($type == 'mp')
	{
		include_once './includes/mp.php';
		envoi_mp($K_expediteurMP, $dest->id_mbr, $titre, $message, $dest->mp_popup, 0, $dest->pseudo, $dest->email);
	}
	elseif ($type == 'mail')
	{
		require_once './includes/class.mail.php';
		$mail = new kws_mail();
		$mail->add_adresses(array($K_expediteur => $K_email_expediteur), 'From');
		$mail->add_adresses(array($dest->pseudo => $dest->email), 'To');
		$mail->set_sujet($titre);
		$mail->set_message($message, 'multi');
		$mail->envoyer();
	}

	//mise  jour table anniversaire
	reqmysql('UPDATE `agenda_anniv` SET `msg_anniversaire`="'.$today['year'].'" WHERE `id_mbr`="'.$dest->id_mbr.'" ');

}

?>
