<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_event.php 1022 2016-02-04 11:53:27Z mike007 $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_event.php
 *
 * Cette librairie contient toutes les fonctions spcifiques  la manipulation des vnements
 *
 * @author Otocinclus
 * @version Bta 3.03
 * @date Novembre 2007
 */



/**
 *
 * rcupre des vnements dans la bdd et les affiche sous forme de liste
 *
 * @param $titre : titre  afficher
 * @param $cond : condition permettant l'extraction des vnements de la bdd
 * @param $max : nombre maximun de ligne  afficher par page
 * @param $orderby : critre de classement des vnements
 * @return : Nombre total d'vnements extrait de la bdd
 */
function afficheEventsList($titre, $cond, $max, $orderby='`agenda_events`.`date` ASC, `agenda_events`.`titre` ASC')
{
	global $K_mod, $K_ac, $action, $do;
	
	$req = reqmysql('
		SELECT	CONCAT(DATE_FORMAT(`agenda_events`.`date`, \'%d/%m/%Y\'), "  -	", `agenda_events`.`titre`) AS titre,
				`agenda_events`.`idx`, `agenda_events`.`texte`, `agenda_events`.`id_user`, `agenda_events`.`is_valid`,
				`users`.`pseudo`
		FROM `agenda_events`
		LEFT JOIN `users` ON `users`.`id`=`agenda_events`.`id_user`
		WHERE '.$cond.'
		ORDER BY '.$orderby
	);

	$total = @Kws_mysql_num_rows($req);
	
	// Pagination
	$pagination = new pagination($total, $max, 'evenement');

	if ($total > 0)
	{
		$debut = $pagination->getDebutPage();
		echo '
		<h3>'.$titre.'</h3>
		<ul style="list-style-type:none;">';
		$obj_i = 0;
		while ($obj = Kws_mysql_fetch_object($req))
		{
			if ($obj_i>=$debut && $obj_i<($debut+$max))
			{
				$contenu = !$obj->is_valid ? bbcode($obj->texte,1,1,1,1) : '';
				if (empty($obj->pseudo)) $obj->pseudo = 'Visiteur';
				ligne($obj->idx, ax($obj->titre), $obj->pseudo, $obj->id_user, 1, 1, !$obj->is_valid, $obj_i+1, $contenu);
			}
			$obj_i++;
		}
		echo '
		</ul><br />
		'.$pagination->creer('index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;action='.$action.'&amp;do='.$do.'&amp;int_page=%d');
	}
	return $total;
}


/**
 *
 * Affiche le formulaire premettant de dfinir les vnements passs  supprimer de la bdd
 *
 * @param  : rien
 * @return : rien
 */
function formEffaceVieuxEvents()
{
	global $K_mod;

	echo '
	<br />
	<form name="oldevents" id="oldevents" action="index.php?mod='.$K_mod.'&amp;ac=gestion" method="post">
	<input type="hidden" name="action" value="event" />
	<input type="hidden" name="do" value="delold" />
	<strong>Effacer les &eacute;v&egrave;nements vieux de plus de :&nbsp;&nbsp;</strong>
	<input type="text" size="2" name="int_ageEvents" value="30" />&nbsp;&nbsp;
	<strong>jours</strong>&nbsp;&nbsp;&nbsp;&nbsp;
	<input type="submit" id="submit" value=" Effacer " />
	</form>';
}


/**
 *
 * Dfinie le rang du premier vnement  afficher en fonction du nombre d'vnements
 *  afficher, du nombre d'vnements par page et de la page en cours.
 *
 * @param $total : nombre total d'vnements  afficher
 * @param $max : nombre d'vnements par page
 * @return : $debut : rang du premier vnement  afficher
 */
function creerIndex($total, $max)
{
	global $page;
	// initialisation de la page
	if (!isset($_REQUEST['int_page']) || $_REQUEST['int_page'] < 1)
	{
		$page=1;
	}
	else
	{
		$page = $_REQUEST['int_page'];
	}

	// vrif si page sup au nbre total de page
	$page = $page > ceil($total/$max) ? ($page=='1' ? '1' : ceil($total/$max)) : $page;

	// debut de recherche dans la bdd
	$debut = ($page-1) * $max;
	return $debut;
}



/**
 *
 * Met en forme et affiche un vnement sous forme d'une ligne  puce (<li></li>) html
 *
 * @param $id : index de l'vnement
 * @param $titre : titre de l'vnement
 * @param $posteur : pseudo du posteur
 * @param $posteurId : index du posteur
 * @param $modifier : 1 ou 0 selon possibilit d'dition ou pas de l'vnement
 * @param $supprimer : 1 ou 0 selon possibilit de suppression ou pas de l'vnement
 * @param $activer : 1 ou 0 selon possibilit de validation ou pas de l'vnement
 * @param $imgnum : dfinie le type de puce  afficher
 * @param $plus : texte complmentaire  afficher
 * @return : rien
 */
function ligne($id, $titre, $posteur, $posteurId, $modifier, $supprimer, $activer, $imgnum, $plus = '')
{
	global $K_mod, $K_theme;

	echo '
	<li style="clear:both;">
	<img style="float:left; border:none;" src="'.($imgnum==0 ? affImage('droite.png') : affImage('dossier.png')).'" alt="puce" />
	<span style="float:left; width:35em; padding-left:5px;">
	<strong>'.$titre.'</strong>&nbsp;&nbsp;
	<i>(Post&eacute; par <a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$posteurId.'">'.$posteur.'</a>)</i>
	</span>';
	if ($modifier == 1)
	{
		echo '
		<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=event&amp;do=editer&amp;int_id='.$id.'" title="Editer">
		<img src="themes/'.$K_theme.'/images/gestion/edit.png" border="0" alt="editer" /></a> &nbsp;&nbsp;&nbsp;';
	}
	if ($supprimer == 1)
	{
		echo '
		<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=event&amp;do=supprimer&amp;int_id='.$id.'" title="Supprimer" onclick="if (confirm(\'tes vous sr de vouloir effacer cet vnement ?\') == true) {return true} else {return false}">
		<img src="themes/'.$K_theme.'/images/gestion/del.png" border="0" alt="effacer" /></a> &nbsp;&nbsp;&nbsp;';
	}
	if ($activer == 1)
	{
		echo '
		<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=valider&amp;int_id='.$id.'" title="Valider">
		<img src="themes/'.$K_theme.'/images/gestion/valider.png" border="0" alt="valider" />
		</a>';
	}
	if ($plus != '')
	{
		echo '<br />
		<div style="width:42em; padding:5px; border:1px solid">'.$plus.'</div>';
	}
	echo '
	</li>';
}



/**
 *
 * Met en forme et affiche une barre de navigation pour passer d'une page  une autre
 *
 * @param  : rien
 * @return : rien
 */
function navBarre()
{
	global $K_mod, $action, $total, $page, $max;
echo 'total : '.$total.' // max : '.$max.'<br />';
	// si plusieurs pages
	if ($total > $max)
	{
		echo '
		<p align="center">barre de nav <br />';

		// bouton prcdent si necessaire
		if ($page > 1)
		{
			echo '
			<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action='.$action.'&amp;int_page='.($page - 1).'">&lt; page pr&eacute;c&eacute;dente &gt;</a>&nbsp;- ';
		}
		// liste des pages
		for ($i = 1; $i <= ceil($total / $max); $i++)
		{
			if ($i == $page)
			{
				echo '
				<b>'.$i.'</b> - ';
			}
			else
			{
				echo '
				<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action='.$action.'&amp;int_page='.$i.'">'.$i.'</a> - ';
			}
		}
		// bouton suivant si necessaire
		if ($total > ($page) * $max)
		{
			echo '
			&nbsp;<a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action='.$action.'&amp;int_page='.($page + 1).'">&lt; page suivante &gt;</a>';
		}
		echo '
		</p>';
	}
}


/**
 *
 * Affiche le formulaire de saisie ou d'dition des vnements
 *
 * @param $evt : table contenant toutes les donnes de l'vnement
 * @param $val_submit : valeur du submit du formulaire
 * @return : rien
 */
function afficheFormEvent($evt, $val_submit)
{
	global $K_mod, $K_ac, $K_theme, $K_user, $action, $do, $id, $autorisation_bbcode_sup, $K_BbcodeAff;

	// Les rubriques
	$agd_req_cat = reqmysql('
		SELECT	`id`, `titre`
		FROM	`rubriques`
		WHERE	(`rubriques`.`module` LIKE "%'.$K_mod.'%" OR `rubriques`.`module` = "")
			AND `rubriques`.`id` IN '.$K_user->rubrique[0].'
		ORDER BY `rubriques`.`titre` ASC
	');

	// Aucune rubrique cre
	if (Kws_mysql_num_rows($agd_req_cat) == 0)
	{
		bloc_head('Erreur');
		if (get_grade()>=GRD_MODOG)
		{
			echo df_message('information', 'Vous devez cr&eacute;er des rubriques avant de pouvoir poster !<br />', '<a href="index.php?mod=rubriques&amp;ac=gestion">Cr&eacute;er une rubrique</a><br />');
		}
		else
		{
			echo df_message('erreur', 'D&eacute;sol&eacute;, il n\'existe aucune rubrique dans laquelle vous pourriez poster un &eacute;v&eacute;nement !<br />');
		}
		close_table();
		return;
	}
	else
	{
		$agd_rubriques = '
		<select name="int_ref_event" id="int_ref_event">';
		while ($agd_cat = Kws_mysql_fetch_object($agd_req_cat))
		{
			$agd_rubriques .= '
			<option value="'.$agd_cat->id.'" '.($agd_cat->id==$evt['ref'] ? 'selected="selected"' : '').'>'.ax($agd_cat->titre).'</option>';
		}
		$agd_rubriques .= '
		</select>';
	}

	// http://www.dhtmlgoodies.com/index.html?page=calendarScripts
	echo '<script type="text/javascript" language="javascript">
	//<![CDATA[
		var head = document.getElementsByTagName("head")[0];
		var head_inc = document.createElement("link");
		head_inc.rel = "stylesheet";
		head_inc.type = "text/css";
		head_inc.href = "./includes/calendar/goodies_calendar.css";
		head.appendChild(head_inc);
		// Initialisation de quelques variables
		var calendar_offsetTop = -100;
		var calendar_offsetLeft = 30;
		var intervalSelectBox_minutes = 15;
	//]]>
	</script>
	<script type="text/javascript" src="./includes/calendar/goodies_calendar.js"></script>';

	echo '
	<script type="text/javascript" src="./includes/bbcode.js"></script>
	<script type="text/javascript" src="./includes/bjs.js"></script>
	<br />
	<form name="formulaire" id="formulaire" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post" onsubmit="return control_form(\'sql_titre_event,Titre\')">
	    <fieldset class="fieldset_post">
			'
			.($action == '' ? '' : '
			<input type="hidden" name="action" value="'.$action.'" />')
			.($do == '' ? '' : '
			<input type="hidden" name="do" value="'.$do.'" />')
			.($id == '' ? '' : '
			<input type="hidden" name="int_id" value="'.$id.'" />').'
			<input type="hidden" name="int_user_event" value="'.$K_user->id.'" />

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="sql_titre_event">Titre :</label></dt>
				<dd><input type="text" size="50" name="sql_titre_event" id="sql_titre_event" value="'.$evt['titre'].'" /></dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="int_djour">D&eacute;but :</label></dt>
				<dd>
					'.select('int_djour', $evt['jour1'], 1, 31).' / '.select('int_dmois', $evt['mois1'], 1, 12).' / '.select('int_dan', $evt['annee1'], $evt['annee1']-5, $evt['annee1']+6).'&nbsp;&nbsp;&nbsp;'.select('int_dheure', $evt['heure1'], 0, 23).' : '.select('int_dmin', $evt['minute1'], 0, 59, 15).'
					<input type="image" style="margin-bottom:-8px" src="./includes/calendar/images/calendrier.png" value=" Calendrier " onclick="displayCalendarSelectBox(document.getElementById(\'int_dan\'),document.getElementById(\'int_dmois\'),document.getElementById(\'int_djour\'),document.getElementById(\'int_dheure\'),document.getElementById(\'int_dmin\'),this);return false;" />
				</dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="int_fjour">Fin :</label></dt>
				<dd>
					'.select('int_fjour', $evt['jour2'], 1, 31).' / '.select('int_fmois', $evt['mois2'], 1, 12).' / '.select('int_fan', $evt['annee2'], $evt['annee2']-5, $evt['annee2']+6).'&nbsp;&nbsp;&nbsp;'.select('int_fheure', $evt['heure2'], 0, 23).' : '.select('int_fmin', $evt['minute2'], 0, 59, 15).'
					<input type="image" style="margin-bottom:-8px" src="./includes/calendar/images/calendrier.png" value=" Calendrier " onclick="displayCalendarSelectBox(document.getElementById(\'int_fan\'),document.getElementById(\'int_fmois\'),document.getElementById(\'int_fjour\'),document.getElementById(\'int_fheure\'),document.getElementById(\'int_fmin\'),this);return false;" />
	            </dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="sql_lieu_event">Lieu :</label></dt>
				<dd><input type="text" size="50" name="sql_lieu_event" id="sql_lieu_event" value="'.$evt['lieu'].'" /></dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="sql_contact_event">Contact :</label></dt>
				<dd><input type="text" size="50" name="sql_contact_event" id="sql_contact_event" value="'.$evt['contact'].'" /></dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="int_ref_event">Rubrique :</label></dt>
				<dd>'.$agd_rubriques.'</dd>
			</dl>

			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="int_grade_event">Visible par :</label></dt>
				<dd>'.selectGrade('int_grade_event', $evt['grade']).'&nbsp;&nbsp;&nbsp;'.selectGroupe('int_groupe_event', $evt['groupe']).'</dd>
			</dl>
			';
			if (is_module('smileys')) afficher_smileys();
			include './includes/balises.php';
			echo '
			<dl>
				<dt><label style="float:left;width:8em;font-weight:bold;" for="postzone">Description :</label></dt>
				<dd>&nbsp;</dd>
			</dl>
			<div class="fieldset_post">
				<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')"  >'.ax($evt['texte']).'</textarea>
			</div>
			<div style="text-align:center;">
				<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
				<span style="margin-left:50px">&nbsp;</span>
				<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
			</div>
			<div id="apercu" style="display:none"></div>
			<hr />
			<div style="text-align:center;">
			<input type="submit" name="post_event" value="'.$val_submit.'" />
			<input type="button" id="button" style="margin-left:2em;" value=" Annuler " onclick="history.go(-1)" />
			</div>
		</fieldset>
	</form>';
}



function datesEvent()
{
	$dates = array();

	$jour1	= $_POST['int_djour'];
	$mois1	= $_POST['int_dmois'];
	$an1	= $_POST['int_dan'];
	$heure1 = $_POST['int_dheure'];
	$min1	= $_POST['int_dmin'];
	$jour2	= $_POST['int_fjour'];
	$mois2	= $_POST['int_fmois'];
	$an2	= $_POST['int_fan'];
	$heure2 = $_POST['int_fheure'];
	$min2	= $_POST['int_fmin'];

	$dates['ok'] = (
		checkdate($mois1, $jour1, $an1) && checkdate($mois2, $jour2, $an2)
		&& $heure1 >= 0 && $heure1 < 24 && $heure2 >= 0 && $heure2 < 24
		&& $min1 >= 0 && $min1 < 60 && $min2 >= 0 && $min2 < 60
	);

	if ($dates['ok'])
	{
		$deb = mktime($heure1, $min1, 0, $mois1, $jour1, $an1);
		$fin = mktime($heure2, $min2, 0, $mois2, $jour2, $an2);
		$dates['temps']    = time();
		$dates['date']	   = date('Y-m-d H:i', $deb);
		$dates['date_fin'] = $fin > $deb ? date('Y-m-d H:i', $fin) : $dates['date'];
	}
	return $dates;
}

?>
