-- $Id: install.sql 1041 2016-02-27 08:53:54Z otocinclus $

-- --------------------------------------------------------

--
-- Structure de la table `agenda_anniv`
--

DROP TABLE IF EXISTS `agenda_anniv`;
CREATE TABLE `agenda_anniv` (
  `id` int(11) NOT NULL auto_increment,
  `id_mbr` int(11) NOT NULL default '0',
  `pseudo` varchar(30) NOT NULL default '',
  `date_naissance` date NOT NULL default '0000-00-00',
  `aff_naissance` tinyint(1) NOT NULL default '0',
  `msg_anniversaire` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module agenda: anniversaires' ;


-- --------------------------------------------------------

--
-- Structure de la table `agenda_events`
--

DROP TABLE IF EXISTS `agenda_events`;
CREATE TABLE `agenda_events` (
  `idx` int(11) NOT NULL auto_increment,
  `ref` smallint(5) UNSIGNED NOT NULL default '0',
  `titre` varchar(255) NOT NULL default '',
  `texte` text NOT NULL,
  `lieu` varchar(255) NOT NULL default '',
  `contact` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_fin` datetime NOT NULL default '0000-00-00 00:00:00',
  `grade` tinyint(4) NOT NULL default '-1',
  `groupe` int(11) NOT NULL default '0',
  `id_user` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `is_valid` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`idx`)
) TYPE=MyISAM COMMENT='Module agenda : evenements' ;


-- --------------------------------------------------------

--
-- Structure de la table `agenda_fetes`
--

DROP TABLE IF EXISTS `agenda_fetes`;
CREATE TABLE `agenda_fetes` (
  `id` int(11) NOT NULL auto_increment,
  `jour` varchar(5) NOT NULL default '00-00',
  `nom` varchar(70) NOT NULL default '',
  `logo` varchar(20) NOT NULL default '',
  `ferie` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module agenda : fetes';

--
-- Contenu de la table `agenda_fetes`
--

INSERT INTO `agenda_fetes` VALUES (1, '01-01', 'Jour de l&#039;An', '1an.png', 1);
INSERT INTO `agenda_fetes` VALUES (2, '01-02', 'Saint Basile', '', 0);
INSERT INTO `agenda_fetes` VALUES (3, '01-03', 'Sainte Genevive', '', 0);
INSERT INTO `agenda_fetes` VALUES (4, '01-04', 'Saint Odilon', '', 0);
INSERT INTO `agenda_fetes` VALUES (5, '01-05', 'Saint Edouard', '', 0);
INSERT INTO `agenda_fetes` VALUES (6, '01-06', 'Sainte  Mlaine', '', 0);
INSERT INTO `agenda_fetes` VALUES (7, '01-07', 'Saint Raymond', '', 0);
INSERT INTO `agenda_fetes` VALUES (8, '01-08', 'Saint Lucien', '', 0);
INSERT INTO `agenda_fetes` VALUES (9, '01-09', 'Sainte Alix', '', 0);
INSERT INTO `agenda_fetes` VALUES (10, '01-10', 'Saint Guillaume', '', 0);
INSERT INTO `agenda_fetes` VALUES (11, '01-11', 'Saint Paulin', '', 0);
INSERT INTO `agenda_fetes` VALUES (12, '01-12', 'Sainte Tatiana', '', 0);
INSERT INTO `agenda_fetes` VALUES (13, '01-13', 'Sainte Yvette', '', 0);
INSERT INTO `agenda_fetes` VALUES (14, '01-14', 'Sainte Nina', '', 0);
INSERT INTO `agenda_fetes` VALUES (15, '01-15', 'Saint Rmi', '', 0);
INSERT INTO `agenda_fetes` VALUES (16, '01-16', 'Saint Marcel', '', 0);
INSERT INTO `agenda_fetes` VALUES (17, '01-17', 'Sainte Roseline', '', 0);
INSERT INTO `agenda_fetes` VALUES (18, '01-18', 'Sainte Prisca', '', 0);
INSERT INTO `agenda_fetes` VALUES (19, '01-19', 'Saint Marius', '', 0);
INSERT INTO `agenda_fetes` VALUES (20, '01-20', 'Saint Sbastien', '', 0);
INSERT INTO `agenda_fetes` VALUES (21, '01-21', 'Sainte Agns', '', 0);
INSERT INTO `agenda_fetes` VALUES (22, '01-22', 'Saint Vincent', '', 0);
INSERT INTO `agenda_fetes` VALUES (23, '01-23', 'Saint Barnard', '', 0);
INSERT INTO `agenda_fetes` VALUES (24, '01-24', 'Saint Franois de Sales', '', 0);
INSERT INTO `agenda_fetes` VALUES (25, '01-25', 'Conversion de Paul', '', 0);
INSERT INTO `agenda_fetes` VALUES (26, '01-26', 'Sainte Paule', '', 0);
INSERT INTO `agenda_fetes` VALUES (27, '01-27', 'Sainte Angle', '', 0);
INSERT INTO `agenda_fetes` VALUES (28, '01-28', 'Saint Thomas d''Aquin', '', 0);
INSERT INTO `agenda_fetes` VALUES (29, '01-29', 'Saint Gildas', '', 0);
INSERT INTO `agenda_fetes` VALUES (30, '01-30', 'Sainte Martine', '', 0);
INSERT INTO `agenda_fetes` VALUES (31, '01-31', 'Sainte Marcelle', '', 0);
INSERT INTO `agenda_fetes` VALUES (32, '02-01', 'Sainte Ella', '', 0);
INSERT INTO `agenda_fetes` VALUES (33, '02-02', 'Saint Thophane', '', 0);
INSERT INTO `agenda_fetes` VALUES (34, '02-03', 'Saint Blaise', '', 0);
INSERT INTO `agenda_fetes` VALUES (35, '02-04', 'Sainte Vronique', '', 0);
INSERT INTO `agenda_fetes` VALUES (36, '02-05', 'Sainte Agathe', '', 0);
INSERT INTO `agenda_fetes` VALUES (37, '02-06', 'Saint Gaston', '', 0);
INSERT INTO `agenda_fetes` VALUES (38, '02-07', 'Sainte Eugnie', '', 0);
INSERT INTO `agenda_fetes` VALUES (39, '02-08', 'Sainte Jacqueline', '', 0);
INSERT INTO `agenda_fetes` VALUES (40, '02-09', 'Sainte Apolline', '', 0);
INSERT INTO `agenda_fetes` VALUES (41, '02-10', 'Saint Arnaud', '', 0);
INSERT INTO `agenda_fetes` VALUES (42, '02-11', 'Saint Sverin', '', 0);
INSERT INTO `agenda_fetes` VALUES (43, '02-12', 'Saint Flix', '', 0);
INSERT INTO `agenda_fetes` VALUES (44, '02-13', 'Ste Batrice', '', 0);
INSERT INTO `agenda_fetes` VALUES (45, '02-14', 'Saint Valentin', '', 0);
INSERT INTO `agenda_fetes` VALUES (46, '02-15', 'Saint Claude', '', 0);
INSERT INTO `agenda_fetes` VALUES (47, '02-16', 'Sainte Julienne', '', 0);
INSERT INTO `agenda_fetes` VALUES (48, '02-17', 'Saint Alexis', '', 0);
INSERT INTO `agenda_fetes` VALUES (49, '02-18', 'Sainte Bernadette', '', 0);
INSERT INTO `agenda_fetes` VALUES (50, '02-19', 'Saint Gabin', '', 0);
INSERT INTO `agenda_fetes` VALUES (51, '02-20', 'Sainte Aime', '', 0);
INSERT INTO `agenda_fetes` VALUES (52, '02-21', 'Saint Damien', '', 0);
INSERT INTO `agenda_fetes` VALUES (53, '02-22', 'Sainte Isabelle', '', 0);
INSERT INTO `agenda_fetes` VALUES (54, '02-23', 'Saint Lazare', '', 0);
INSERT INTO `agenda_fetes` VALUES (55, '02-24', 'Saint Modeste', '', 0);
INSERT INTO `agenda_fetes` VALUES (56, '02-25', 'Saint Romo', '', 0);
INSERT INTO `agenda_fetes` VALUES (57, '02-26', 'Saint Nestor', '', 0);
INSERT INTO `agenda_fetes` VALUES (58, '02-27', 'Sainte Honorine', '', 0);
INSERT INTO `agenda_fetes` VALUES (59, '02-28', 'Saint Romain', '', 0);
INSERT INTO `agenda_fetes` VALUES (60, '02-29', 'Saint Auguste', '', 0);
INSERT INTO `agenda_fetes` VALUES (61, '03-01', 'Saint Aubin', '', 0);
INSERT INTO `agenda_fetes` VALUES (62, '03-02', 'Saint Charles le Bon', '', 0);
INSERT INTO `agenda_fetes` VALUES (63, '03-03', 'Saint Gwnol', '', 0);
INSERT INTO `agenda_fetes` VALUES (64, '03-04', 'Saint Casimir', '', 0);
INSERT INTO `agenda_fetes` VALUES (65, '03-05', 'Saint Olive', '', 0);
INSERT INTO `agenda_fetes` VALUES (66, '03-06', 'Sainte Colette', '', 0);
INSERT INTO `agenda_fetes` VALUES (67, '03-07', 'Sainte Flicit', '', 0);
INSERT INTO `agenda_fetes` VALUES (68, '03-08', 'Saint Jean de Dieu', '', 0);
INSERT INTO `agenda_fetes` VALUES (69, '03-09', 'Sainte Franoise', '', 0);
INSERT INTO `agenda_fetes` VALUES (70, '03-10', 'Saint Vivien', '', 0);
INSERT INTO `agenda_fetes` VALUES (71, '03-11', 'Sainte Rosine', '', 0);
INSERT INTO `agenda_fetes` VALUES (72, '03-12', 'Sainte Justine', '', 0);
INSERT INTO `agenda_fetes` VALUES (73, '03-13', 'Saint Rodrigue', '', 0);
INSERT INTO `agenda_fetes` VALUES (74, '03-14', 'Sainte Mathilde', '', 0);
INSERT INTO `agenda_fetes` VALUES (75, '03-15', 'Sainte Louise', '', 0);
INSERT INTO `agenda_fetes` VALUES (76, '03-16', 'Sainte Bndicte', '', 0);
INSERT INTO `agenda_fetes` VALUES (77, '03-17', 'Saint Patrick', '', 0);
INSERT INTO `agenda_fetes` VALUES (78, '03-18', 'Saint Cyrille', '', 0);
INSERT INTO `agenda_fetes` VALUES (79, '03-19', 'Saint Joseph', '', 0);
INSERT INTO `agenda_fetes` VALUES (80, '03-20', 'Saint Herbert', '', 0);
INSERT INTO `agenda_fetes` VALUES (81, '03-21', 'Sainte Clmence', '', 0);
INSERT INTO `agenda_fetes` VALUES (82, '03-22', 'Sainte La', '', 0);
INSERT INTO `agenda_fetes` VALUES (83, '03-23', 'Saint Victorien', '', 0);
INSERT INTO `agenda_fetes` VALUES (84, '03-24', 'Sainte Catherine de Sude', '', 0);
INSERT INTO `agenda_fetes` VALUES (85, '03-25', 'Saint Humbert', '', 0);
INSERT INTO `agenda_fetes` VALUES (86, '03-26', 'Sainte Larissa', '', 0);
INSERT INTO `agenda_fetes` VALUES (87, '03-27', 'Saint Habib', '', 0);
INSERT INTO `agenda_fetes` VALUES (88, '03-28', 'Saint Gontran', '', 0);
INSERT INTO `agenda_fetes` VALUES (89, '03-29', 'Sainte Gwladys', '', 0);
INSERT INTO `agenda_fetes` VALUES (90, '03-30', 'Saint Amde', '', 0);
INSERT INTO `agenda_fetes` VALUES (91, '03-31', 'Saint Benjamin', '', 0);
INSERT INTO `agenda_fetes` VALUES (92, '04-01', 'Saint Hugues', '', 0);
INSERT INTO `agenda_fetes` VALUES (93, '04-02', 'Sainte Sandrine', '', 0);
INSERT INTO `agenda_fetes` VALUES (94, '04-03', 'Saint Richard', '', 0);
INSERT INTO `agenda_fetes` VALUES (95, '04-04', 'Saint Isidore', '', 0);
INSERT INTO `agenda_fetes` VALUES (96, '04-05', 'Sainte Irne', '', 0);
INSERT INTO `agenda_fetes` VALUES (97, '04-06', 'Saint Marcellin', '', 0);
INSERT INTO `agenda_fetes` VALUES (98, '04-07', 'Saint Jean-Baptiste de la Salle', '', 0);
INSERT INTO `agenda_fetes` VALUES (99, '04-08', 'Sainte Julie', '', 0);
INSERT INTO `agenda_fetes` VALUES (100, '04-09', 'Saint Gautier', '', 0);
INSERT INTO `agenda_fetes` VALUES (101, '04-10', 'Saint Fulbert', '', 0);
INSERT INTO `agenda_fetes` VALUES (102, '04-11', 'Saint Stanislas', '', 0);
INSERT INTO `agenda_fetes` VALUES (103, '04-12', 'Saint Jules', '', 0);
INSERT INTO `agenda_fetes` VALUES (104, '04-13', 'Sainte Ida', '', 0);
INSERT INTO `agenda_fetes` VALUES (105, '04-14', 'Saint Maxime', '', 0);
INSERT INTO `agenda_fetes` VALUES (106, '04-15', 'Saint Paterne', '', 0);
INSERT INTO `agenda_fetes` VALUES (107, '04-16', 'Saint Benot-Joseph', '', 0);
INSERT INTO `agenda_fetes` VALUES (108, '04-17', 'Saint Anicet', '', 0);
INSERT INTO `agenda_fetes` VALUES (109, '04-18', 'Saint Parfait', '', 0);
INSERT INTO `agenda_fetes` VALUES (110, '04-19', 'Sainte Emma', '', 0);
INSERT INTO `agenda_fetes` VALUES (111, '04-20', 'Sainte Odette', '', 0);
INSERT INTO `agenda_fetes` VALUES (112, '04-21', 'Saint Anselme', '', 0);
INSERT INTO `agenda_fetes` VALUES (113, '04-22', 'Saint Alexandre', '', 0);
INSERT INTO `agenda_fetes` VALUES (114, '04-23', 'Saint Georges', '', 0);
INSERT INTO `agenda_fetes` VALUES (115, '04-24', 'Saint Fidle', '', 0);
INSERT INTO `agenda_fetes` VALUES (116, '04-25', 'Saint Marc', '', 0);
INSERT INTO `agenda_fetes` VALUES (117, '04-26', 'Sainte Alida', '', 0);
INSERT INTO `agenda_fetes` VALUES (118, '04-27', 'Sainte Zita', '', 0);
INSERT INTO `agenda_fetes` VALUES (119, '04-28', 'Sainte Valrie', '', 0);
INSERT INTO `agenda_fetes` VALUES (120, '04-29', 'Sainte Catherine de Sienne', '', 0);
INSERT INTO `agenda_fetes` VALUES (121, '04-30', 'Saint Robert', '', 0);
INSERT INTO `agenda_fetes` VALUES (122, '05-01', 'Fte du Travail', '', 1);
INSERT INTO `agenda_fetes` VALUES (123, '05-02', 'Saint Boris', '', 0);
INSERT INTO `agenda_fetes` VALUES (124, '05-03', 'Saints Philippe & Jacques', '', 0);
INSERT INTO `agenda_fetes` VALUES (125, '05-04', 'Saint Sylvain', '', 0);
INSERT INTO `agenda_fetes` VALUES (126, '05-05', 'Sainte Judith', '', 0);
INSERT INTO `agenda_fetes` VALUES (127, '05-06', 'Sainte Prudence', '', 0);
INSERT INTO `agenda_fetes` VALUES (128, '05-07', 'Sainte Gisle', '', 0);
INSERT INTO `agenda_fetes` VALUES (129, '05-08', 'Victoire 1945', '', 1);
INSERT INTO `agenda_fetes` VALUES (130, '05-09', 'Sainte Pacme', '', 0);
INSERT INTO `agenda_fetes` VALUES (131, '05-10', 'Sainte Solange', '', 0);
INSERT INTO `agenda_fetes` VALUES (132, '05-11', 'Sainte Estelle', '', 0);
INSERT INTO `agenda_fetes` VALUES (133, '05-12', 'Saint Achille', '', 0);
INSERT INTO `agenda_fetes` VALUES (134, '05-13', 'Sainte Rolande', '', 0);
INSERT INTO `agenda_fetes` VALUES (135, '05-14', 'Saint Matthias', '', 0);
INSERT INTO `agenda_fetes` VALUES (136, '05-15', 'Sainte Denise', '', 0);
INSERT INTO `agenda_fetes` VALUES (137, '05-16', 'Saint Honor', '', 0);
INSERT INTO `agenda_fetes` VALUES (138, '05-17', 'Saint Pascal', '', 0);
INSERT INTO `agenda_fetes` VALUES (139, '05-18', 'Saint Eric', '', 0);
INSERT INTO `agenda_fetes` VALUES (140, '05-19', 'Saint Yves', '', 0);
INSERT INTO `agenda_fetes` VALUES (141, '05-20', 'Saint Bernardin', '', 0);
INSERT INTO `agenda_fetes` VALUES (142, '05-21', 'Saint Constantin', '', 0);
INSERT INTO `agenda_fetes` VALUES (143, '05-22', 'Saint Emile', '', 0);
INSERT INTO `agenda_fetes` VALUES (144, '05-23', 'Saint Didier', '', 0);
INSERT INTO `agenda_fetes` VALUES (145, '05-24', 'Saint Donatien', '', 0);
INSERT INTO `agenda_fetes` VALUES (146, '05-25', 'Sainte Sophie', '', 0);
INSERT INTO `agenda_fetes` VALUES (147, '05-26', 'Saint Brenger', '', 0);
INSERT INTO `agenda_fetes` VALUES (148, '05-27', 'Saintt Augustin', '', 0);
INSERT INTO `agenda_fetes` VALUES (149, '05-28', 'Saint Germain', '', 0);
INSERT INTO `agenda_fetes` VALUES (150, '05-29', 'Saint Aymard', '', 0);
INSERT INTO `agenda_fetes` VALUES (151, '05-30', 'Saint Ferdinand', '', 0);
INSERT INTO `agenda_fetes` VALUES (152, '05-31', 'Sainte Perrine', '', 0);
INSERT INTO `agenda_fetes` VALUES (153, '06-01', 'Saint Justin', '', 0);
INSERT INTO `agenda_fetes` VALUES (154, '06-02', 'Sainte Blandine', '', 0);
INSERT INTO `agenda_fetes` VALUES (155, '06-03', 'Saint Kvin', '', 0);
INSERT INTO `agenda_fetes` VALUES (156, '06-04', 'Sainte Clotilde', '', 0);
INSERT INTO `agenda_fetes` VALUES (157, '06-05', 'Saint Igor', '', 0);
INSERT INTO `agenda_fetes` VALUES (158, '06-06', 'Saint Norbert', '', 0);
INSERT INTO `agenda_fetes` VALUES (159, '06-07', 'Saintt Gilbert', '', 0);
INSERT INTO `agenda_fetes` VALUES (160, '06-08', 'Saint Mdard', '', 0);
INSERT INTO `agenda_fetes` VALUES (161, '06-09', 'Sainte Diane', '', 0);
INSERT INTO `agenda_fetes` VALUES (162, '06-10', 'Saint Landry', '', 0);
INSERT INTO `agenda_fetes` VALUES (163, '06-11', 'Saint Barnab', '', 0);
INSERT INTO `agenda_fetes` VALUES (164, '06-12', 'Saint Guy', '', 0);
INSERT INTO `agenda_fetes` VALUES (165, '06-13', 'Saint Antoine de Padoue', '', 0);
INSERT INTO `agenda_fetes` VALUES (166, '06-14', 'Saint Elise', '', 0);
INSERT INTO `agenda_fetes` VALUES (167, '06-15', 'Sainte Germaine', '', 0);
INSERT INTO `agenda_fetes` VALUES (168, '06-16', 'Saint Rgis', '', 0);
INSERT INTO `agenda_fetes` VALUES (169, '06-17', 'Saint Herv', '', 0);
INSERT INTO `agenda_fetes` VALUES (170, '06-18', 'Saint Lonce', '', 0);
INSERT INTO `agenda_fetes` VALUES (171, '06-19', 'Saint Romuald', '', 0);
INSERT INTO `agenda_fetes` VALUES (172, '06-20', 'Saint Silvre', '', 0);
INSERT INTO `agenda_fetes` VALUES (173, '06-21', 'Saint Rodolphe', '', 0);
INSERT INTO `agenda_fetes` VALUES (174, '06-22', 'Saint Alban', '', 0);
INSERT INTO `agenda_fetes` VALUES (175, '06-23', 'Sainte Audrey', '', 0);
INSERT INTO `agenda_fetes` VALUES (176, '06-24', 'Saint Jean-Baptiste', '', 0);
INSERT INTO `agenda_fetes` VALUES (177, '06-25', 'Saint Prosper', '', 0);
INSERT INTO `agenda_fetes` VALUES (178, '06-26', 'Saint Anthelme', '', 0);
INSERT INTO `agenda_fetes` VALUES (179, '06-27', 'Saint Fernand', '', 0);
INSERT INTO `agenda_fetes` VALUES (180, '06-28', 'Saint Irne', '', 0);
INSERT INTO `agenda_fetes` VALUES (181, '06-29', 'Saints Pierre & Paul', '', 0);
INSERT INTO `agenda_fetes` VALUES (182, '06-30', 'Saint Martial', '', 0);
INSERT INTO `agenda_fetes` VALUES (183, '07-01', 'Saint Thierry', '', 0);
INSERT INTO `agenda_fetes` VALUES (184, '07-02', 'Saint Martinien', '', 0);
INSERT INTO `agenda_fetes` VALUES (185, '07-03', 'Saint Thomas', '', 0);
INSERT INTO `agenda_fetes` VALUES (186, '07-04', 'Saint Florent', '', 0);
INSERT INTO `agenda_fetes` VALUES (187, '07-05', 'Saint Antoine', '', 0);
INSERT INTO `agenda_fetes` VALUES (188, '07-06', 'Sainte Mariette', '', 0);
INSERT INTO `agenda_fetes` VALUES (189, '07-07', 'Saint Raoul', '', 0);
INSERT INTO `agenda_fetes` VALUES (190, '07-08', 'Saint Thibaud', '', 0);
INSERT INTO `agenda_fetes` VALUES (191, '07-09', 'Sainte Amandine', '', 0);
INSERT INTO `agenda_fetes` VALUES (192, '07-10', 'Saint Ulrich', '', 0);
INSERT INTO `agenda_fetes` VALUES (193, '07-11', 'Saint Benot', '', 0);
INSERT INTO `agenda_fetes` VALUES (194, '07-12', 'Saint Olivier', '', 0);
INSERT INTO `agenda_fetes` VALUES (195, '07-13', 'Saints Henri & Jol', '', 0);
INSERT INTO `agenda_fetes` VALUES (196, '07-14', 'Fte Nationnale', '', 1);
INSERT INTO `agenda_fetes` VALUES (197, '07-15', 'Saint Donald', '', 0);
INSERT INTO `agenda_fetes` VALUES (198, '07-15', 'Sainte Elvire', '', 0);
INSERT INTO `agenda_fetes` VALUES (199, '07-17', 'Sainte Charlotte', '', 0);
INSERT INTO `agenda_fetes` VALUES (200, '07-18', 'Saint Frdric', '', 0);
INSERT INTO `agenda_fetes` VALUES (201, '07-19', 'Saint Arsne', '', 0);
INSERT INTO `agenda_fetes` VALUES (202, '07-20', 'Sainte Marina', '', 0);
INSERT INTO `agenda_fetes` VALUES (203, '07-21', 'Saint Victor', '', 0);
INSERT INTO `agenda_fetes` VALUES (204, '07-22', 'Sainte Marie-Madeleine', '', 0);
INSERT INTO `agenda_fetes` VALUES (205, '07-23', 'Sainte Brigitte', '', 0);
INSERT INTO `agenda_fetes` VALUES (206, '07-24', 'Sainte Christine', '', 0);
INSERT INTO `agenda_fetes` VALUES (207, '07-25', 'Saint Jacques', '', 0);
INSERT INTO `agenda_fetes` VALUES (208, '07-26', 'Saints Anne & Joachin', '', 0);
INSERT INTO `agenda_fetes` VALUES (209, '07-27', 'Sainte Nathalie', '', 0);
INSERT INTO `agenda_fetes` VALUES (210, '07-28', 'Saint Samson', '', 0);
INSERT INTO `agenda_fetes` VALUES (211, '07-29', 'Sainte Marthe', '', 0);
INSERT INTO `agenda_fetes` VALUES (212, '07-30', 'Sainte Juliette', '', 0);
INSERT INTO `agenda_fetes` VALUES (213, '07-31', 'Saint Ignace de Loyola', '', 0);
INSERT INTO `agenda_fetes` VALUES (214, '08-01', 'Saint Alphonse', '', 0);
INSERT INTO `agenda_fetes` VALUES (215, '08-02', 'Saint Julien Eymard', '', 0);
INSERT INTO `agenda_fetes` VALUES (216, '08-03', 'Sainte Lydie', '', 0);
INSERT INTO `agenda_fetes` VALUES (217, '08-04', 'Saint Jean-Marie Vianney', '', 0);
INSERT INTO `agenda_fetes` VALUES (218, '08-05', 'Saint Abel', '', 0);
INSERT INTO `agenda_fetes` VALUES (219, '08-06', 'Saint Octavien', '', 0);
INSERT INTO `agenda_fetes` VALUES (220, '08-07', 'Saint Gatan', '', 0);
INSERT INTO `agenda_fetes` VALUES (221, '08-08', 'Saint Dominique', '', 0);
INSERT INTO `agenda_fetes` VALUES (222, '08-09', 'Saint Amour', '', 0);
INSERT INTO `agenda_fetes` VALUES (223, '08-10', 'Saint Laurent', '', 0);
INSERT INTO `agenda_fetes` VALUES (224, '08-11', 'Sainte Claire', '', 0);
INSERT INTO `agenda_fetes` VALUES (225, '08-12', 'Sainte Clarisse', '', 0);
INSERT INTO `agenda_fetes` VALUES (226, '08-13', 'Saint Hippolyte', '', 0);
INSERT INTO `agenda_fetes` VALUES (227, '08-14', 'Saint Evrard', '', 0);
INSERT INTO `agenda_fetes` VALUES (228, '08-15', 'Assomption', '', 1);
INSERT INTO `agenda_fetes` VALUES (229, '08-16', 'Saint Armel', '', 0);
INSERT INTO `agenda_fetes` VALUES (230, '08-17', 'Saint Hyacinthe', '', 0);
INSERT INTO `agenda_fetes` VALUES (231, '08-18', 'Sainte Hlne', '', 0);
INSERT INTO `agenda_fetes` VALUES (232, '08-19', 'Saint Jean-Eudes', '', 0);
INSERT INTO `agenda_fetes` VALUES (233, '08-20', 'Saint Bernard', '', 0);
INSERT INTO `agenda_fetes` VALUES (234, '08-21', 'Saint Christophe', '', 0);
INSERT INTO `agenda_fetes` VALUES (235, '08-22', 'Saint Fabrice', '', 0);
INSERT INTO `agenda_fetes` VALUES (236, '08-23', 'Sainte Rose de Lima', '', 0);
INSERT INTO `agenda_fetes` VALUES (237, '08-24', 'Saint Barthlmy', '', 0);
INSERT INTO `agenda_fetes` VALUES (238, '08-25', 'Saint Louis', '', 0);
INSERT INTO `agenda_fetes` VALUES (239, '08-26', 'Sainte Natacha', '', 0);
INSERT INTO `agenda_fetes` VALUES (240, '08-27', 'Sainte Monique', '', 0);
INSERT INTO `agenda_fetes` VALUES (241, '08-28', 'Saint Augustin', '', 0);
INSERT INTO `agenda_fetes` VALUES (242, '08-29', 'Sainte Sabine', '', 0);
INSERT INTO `agenda_fetes` VALUES (243, '08-30', 'Saint Fiacre', '', 0);
INSERT INTO `agenda_fetes` VALUES (244, '08-31', 'Saint Aristide', '', 0);
INSERT INTO `agenda_fetes` VALUES (245, '09-01', 'Saint Gilles', '', 0);
INSERT INTO `agenda_fetes` VALUES (246, '09-02', 'Sainte Ingrid', '', 0);
INSERT INTO `agenda_fetes` VALUES (247, '09-03', 'Saint Grgoire', '', 0);
INSERT INTO `agenda_fetes` VALUES (248, '09-04', 'Sainte Rosalie', '', 0);
INSERT INTO `agenda_fetes` VALUES (249, '09-05', 'Sainte Rassa', '', 0);
INSERT INTO `agenda_fetes` VALUES (250, '09-06', 'Saint Bertrand', '', 0);
INSERT INTO `agenda_fetes` VALUES (251, '09-07', 'Sainte Reine', '', 0);
INSERT INTO `agenda_fetes` VALUES (252, '09-08', 'Saint Adrien', '', 0);
INSERT INTO `agenda_fetes` VALUES (253, '09-09', 'Saint Alain', '', 0);
INSERT INTO `agenda_fetes` VALUES (254, '09-10', 'Sainte Ins', '', 0);
INSERT INTO `agenda_fetes` VALUES (255, '09-11', 'Saint Adelphe', '', 0);
INSERT INTO `agenda_fetes` VALUES (256, '09-12', 'Saint Apollinaire', '', 0);
INSERT INTO `agenda_fetes` VALUES (257, '09-13', 'Saint Aim', '', 0);
INSERT INTO `agenda_fetes` VALUES (258, '09-14', 'la Croix Glorieuse', '', 0);
INSERT INTO `agenda_fetes` VALUES (259, '09-15', 'Saint Roland', '', 0);
INSERT INTO `agenda_fetes` VALUES (260, '09-16', 'Sainte Edith', '', 0);
INSERT INTO `agenda_fetes` VALUES (261, '09-17', 'Saint Renaud', '', 0);
INSERT INTO `agenda_fetes` VALUES (262, '09-18', 'Sainte Nadge', '', 0);
INSERT INTO `agenda_fetes` VALUES (263, '09-19', 'Sainte Emilie', '', 0);
INSERT INTO `agenda_fetes` VALUES (264, '09-20', 'Saint Davy', '', 0);
INSERT INTO `agenda_fetes` VALUES (265, '09-21', 'Saint Matthieu', '', 0);
INSERT INTO `agenda_fetes` VALUES (266, '09-22', 'Saint Maurice', '', 0);
INSERT INTO `agenda_fetes` VALUES (267, '09-23', 'Saint Constant', '', 0);
INSERT INTO `agenda_fetes` VALUES (268, '09-24', 'Sainte Thcle', '', 0);
INSERT INTO `agenda_fetes` VALUES (269, '09-25', 'Saint Hermann', '', 0);
INSERT INTO `agenda_fetes` VALUES (270, '09-26', 'Saints Cme & Damien', '', 0);
INSERT INTO `agenda_fetes` VALUES (271, '09-27', 'Saint Vincent de Paul', '', 0);
INSERT INTO `agenda_fetes` VALUES (272, '09-28', 'Saint Venceslas', '', 0);
INSERT INTO `agenda_fetes` VALUES (273, '09-29', 'Saint Michel', '', 0);
INSERT INTO `agenda_fetes` VALUES (274, '09-30', 'Saint Jrme', '', 0);
INSERT INTO `agenda_fetes` VALUES (275, '10-01', 'Sainte Thrse de l''Enfant Jsus', '', 0);
INSERT INTO `agenda_fetes` VALUES (276, '10-02', 'Saint Lger', '', 0);
INSERT INTO `agenda_fetes` VALUES (277, '10-03', 'Saint Grard', '', 0);
INSERT INTO `agenda_fetes` VALUES (278, '10-04', 'Saint Franois d''Assise', '', 0);
INSERT INTO `agenda_fetes` VALUES (279, '10-05', 'Sainte Fleur', '', 0);
INSERT INTO `agenda_fetes` VALUES (280, '10-06', 'Saint Bruno', '', 0);
INSERT INTO `agenda_fetes` VALUES (281, '10-07', 'Saint Serge', '', 0);
INSERT INTO `agenda_fetes` VALUES (282, '10-08', 'Sainte Plagie', '', 0);
INSERT INTO `agenda_fetes` VALUES (283, '10-09', 'Saint Denis', '', 0);
INSERT INTO `agenda_fetes` VALUES (284, '10-10', 'Saint Ghislain', '', 0);
INSERT INTO `agenda_fetes` VALUES (285, '10-11', 'Saint Firmin', '', 0);
INSERT INTO `agenda_fetes` VALUES (286, '10-12', 'Saint Wilfried', '', 0);
INSERT INTO `agenda_fetes` VALUES (287, '10-13', 'Saint Graud', '', 0);
INSERT INTO `agenda_fetes` VALUES (288, '10-14', 'Saint Juste', '', 0);
INSERT INTO `agenda_fetes` VALUES (289, '10-15', 'Sainte Thrse d''Avila', '', 0);
INSERT INTO `agenda_fetes` VALUES (290, '10-16', 'Sainte Edwige', '', 0);
INSERT INTO `agenda_fetes` VALUES (291, '10-17', 'Saint Baudouin', '', 0);
INSERT INTO `agenda_fetes` VALUES (292, '10-18', 'Saint Luc', '', 0);
INSERT INTO `agenda_fetes` VALUES (293, '10-19', 'Saint Ren', '', 0);
INSERT INTO `agenda_fetes` VALUES (294, '10-20', 'Sainte Adeline', '', 0);
INSERT INTO `agenda_fetes` VALUES (295, '10-21', 'Sainte Cline', '', 0);
INSERT INTO `agenda_fetes` VALUES (296, '10-22', 'Sainte Elodie', '', 0);
INSERT INTO `agenda_fetes` VALUES (297, '10-23', 'Saint Jean de Capistran', '', 0);
INSERT INTO `agenda_fetes` VALUES (298, '10-24', 'Saint Florentin', '', 0);
INSERT INTO `agenda_fetes` VALUES (299, '10-25', 'Saint Crpin', '', 0);
INSERT INTO `agenda_fetes` VALUES (300, '10-26', 'Saint Dimitri', '', 0);
INSERT INTO `agenda_fetes` VALUES (301, '10-27', 'Sainte Emeline', '', 0);
INSERT INTO `agenda_fetes` VALUES (302, '10-28', 'Saints Simon & Jude', '', 0);
INSERT INTO `agenda_fetes` VALUES (303, '10-29', 'Saint Narcisse', '', 0);
INSERT INTO `agenda_fetes` VALUES (304, '10-30', 'Sainte Bienvenue', '', 0);
INSERT INTO `agenda_fetes` VALUES (305, '10-31', 'Saint Quentin', '', 0);
INSERT INTO `agenda_fetes` VALUES (306, '11-01', 'Toussaint', '', 1);
INSERT INTO `agenda_fetes` VALUES (307, '11-02', 'Fte des Dfunts', '', 0);
INSERT INTO `agenda_fetes` VALUES (308, '11-03', 'Saint Hubert', '', 0);
INSERT INTO `agenda_fetes` VALUES (309, '11-04', 'Saint Charles', '', 0);
INSERT INTO `agenda_fetes` VALUES (310, '11-05', 'Sainte Sylvie', '', 0);
INSERT INTO `agenda_fetes` VALUES (311, '11-06', 'Sainte Bertille', '', 0);
INSERT INTO `agenda_fetes` VALUES (312, '11-07', 'Sainte Carine', '', 0);
INSERT INTO `agenda_fetes` VALUES (313, '11-08', 'Saint Geoffroy', '', 0);
INSERT INTO `agenda_fetes` VALUES (314, '11-09', 'Saint Thodore', '', 0);
INSERT INTO `agenda_fetes` VALUES (315, '11-10', 'Saint Lon', '', 0);
INSERT INTO `agenda_fetes` VALUES (316, '11-11', 'Armistice 1918', '', 1);
INSERT INTO `agenda_fetes` VALUES (317, '11-12', 'Saint Christian', '', 0);
INSERT INTO `agenda_fetes` VALUES (318, '11-13', 'Saint Brice', '', 0);
INSERT INTO `agenda_fetes` VALUES (319, '11-14', 'Saint Sidoine', '', 0);
INSERT INTO `agenda_fetes` VALUES (320, '11-15', 'Saint Albert', '', 0);
INSERT INTO `agenda_fetes` VALUES (321, '11-16', 'Sainte Marguerite', '', 0);
INSERT INTO `agenda_fetes` VALUES (322, '11-17', 'Sainte Elisabeth', '', 0);
INSERT INTO `agenda_fetes` VALUES (323, '11-18', 'Sainte Aude', '', 0);
INSERT INTO `agenda_fetes` VALUES (324, '11-19', 'Saint Tanguy', '', 0);
INSERT INTO `agenda_fetes` VALUES (325, '11-20', 'Saint Edmond', '', 0);
INSERT INTO `agenda_fetes` VALUES (326, '11-21', 'Prsence de Marie', '', 0);
INSERT INTO `agenda_fetes` VALUES (327, '11-22', 'Sainte Ccile', '', 0);
INSERT INTO `agenda_fetes` VALUES (328, '11-23', 'Saint Clment', '', 0);
INSERT INTO `agenda_fetes` VALUES (329, '11-24', 'Sainte Flora', '', 0);
INSERT INTO `agenda_fetes` VALUES (330, '11-25', 'Sainte Catherine', '', 0);
INSERT INTO `agenda_fetes` VALUES (331, '11-26', 'Sainte Delphine', '', 0);
INSERT INTO `agenda_fetes` VALUES (332, '11-27', 'Saint Sverin', '', 0);
INSERT INTO `agenda_fetes` VALUES (333, '11-28', 'Saint Jacques de la Marche', '', 0);
INSERT INTO `agenda_fetes` VALUES (334, '11-29', 'Saint Saturnin', '', 0);
INSERT INTO `agenda_fetes` VALUES (335, '11-30', 'Saint Andr', '', 0);
INSERT INTO `agenda_fetes` VALUES (336, '12-01', 'Ste Florence', '', 0);
INSERT INTO `agenda_fetes` VALUES (337, '12-02', 'Sainte Viviane', '', 0);
INSERT INTO `agenda_fetes` VALUES (338, '12-03', 'Saint Franois-Xavier', '', 0);
INSERT INTO `agenda_fetes` VALUES (339, '12-04', 'Sainte Barbara', '', 0);
INSERT INTO `agenda_fetes` VALUES (340, '12-05', 'Saint Grald', '', 0);
INSERT INTO `agenda_fetes` VALUES (341, '12-06', 'Saint Nicolas', '', 0);
INSERT INTO `agenda_fetes` VALUES (342, '12-07', 'Saint Ambroise', '', 0);
INSERT INTO `agenda_fetes` VALUES (343, '12-08', 'Sainte Elfried', '', 0);
INSERT INTO `agenda_fetes` VALUES (344, '12-09', 'Saint Pierre Fourier', '', 0);
INSERT INTO `agenda_fetes` VALUES (345, '12-10', 'Saint Romaric', '', 0);
INSERT INTO `agenda_fetes` VALUES (346, '12-11', 'Saint Daniel', '', 0);
INSERT INTO `agenda_fetes` VALUES (347, '12-12', 'Sainte Jeanne-Franoise de Chantal', '', 0);
INSERT INTO `agenda_fetes` VALUES (348, '12-13', 'Sainte Lucie', '', 0);
INSERT INTO `agenda_fetes` VALUES (349, '12-14', 'Sainte Odile', '', 0);
INSERT INTO `agenda_fetes` VALUES (350, '12-15', 'Sainte Ninon', '', 0);
INSERT INTO `agenda_fetes` VALUES (351, '12-16', 'Sainte Alice', '', 0);
INSERT INTO `agenda_fetes` VALUES (352, '12-17', 'Saint Gal', '', 0);
INSERT INTO `agenda_fetes` VALUES (353, '12-18', 'Saint Gatien', '', 0);
INSERT INTO `agenda_fetes` VALUES (354, '12-19', 'Saint Urbain', '', 0);
INSERT INTO `agenda_fetes` VALUES (355, '12-20', 'Saint Thophile', '', 0);
INSERT INTO `agenda_fetes` VALUES (356, '12-21', 'Saint Pierre Canisius', '', 0);
INSERT INTO `agenda_fetes` VALUES (357, '12-22', 'Ste Franoise-Xavire', '', 0);
INSERT INTO `agenda_fetes` VALUES (358, '12-23', 'Saint Armand', '', 0);
INSERT INTO `agenda_fetes` VALUES (359, '12-24', 'Sainte Adle', '', 0);
INSERT INTO `agenda_fetes` VALUES (360, '12-25', 'Nol', 'sm_noel.png', 1);
INSERT INTO `agenda_fetes` VALUES (361, '12-26', 'Saint Etienne', '', 0);
INSERT INTO `agenda_fetes` VALUES (362, '12-27', 'Saint Jean', '', 0);
INSERT INTO `agenda_fetes` VALUES (363, '12-28', 'Saints Innocents', '', 0);
INSERT INTO `agenda_fetes` VALUES (364, '12-29', 'Saint David', '', 0);
INSERT INTO `agenda_fetes` VALUES (365, '12-30', 'Saint Roger', '', 0);
INSERT INTO `agenda_fetes` VALUES (366, '12-31', 'Saint Sylvestre', '', 0);
INSERT INTO `agenda_fetes` VALUES (367, '01-06', 'Epiphanie', 'epiphanie.png', 0);
INSERT INTO `agenda_fetes` VALUES (368, '02-20', 'Mardi Gras', '', 0);
INSERT INTO `agenda_fetes` VALUES (369, '02-21', 'Mercredi des Cendres', '', 0);
INSERT INTO `agenda_fetes` VALUES (370, '04-01', 'Rameaux', '', 0);
INSERT INTO `agenda_fetes` VALUES (371, '04-06', 'Vendredi Saint', '', 0);
INSERT INTO `agenda_fetes` VALUES (372, '04-08', 'Pques', '', 0);
INSERT INTO `agenda_fetes` VALUES (373, '04-09', 'Lundi de Pques', '', 1);
INSERT INTO `agenda_fetes` VALUES (374, '05-17', 'Ascension', '', 1);
INSERT INTO `agenda_fetes` VALUES (375, '05-27', 'Pentecte', '', 0);
INSERT INTO `agenda_fetes` VALUES (376, '05-28', 'Lundi de Pentecte', '', 1);
INSERT INTO `agenda_fetes` VALUES (377, '03-25', 'Heure d&#039;t ( + 1h )', 'h_ete.png', 0);
INSERT INTO `agenda_fetes` VALUES (378, '10-28', 'Heure d&#039;hiver ( - 1h )', 'h_hiv.png', 0);

-- ---------------------------------------------------------

--
-- insertion dans la table `droit`
--

INSERT INTO `droit` SET module='agenda', page='administrer', grade='4', groupe='0';
INSERT INTO `droit` SET module='agenda', page='gerer', grade='3', groupe='0';
INSERT INTO `droit` SET module='agenda', page='poster', grade='0', groupe='0';
INSERT INTO `droit` SET module='agenda', page='voir', grade='0', groupe='0';

-- ---------------------------------------------------------

--
-- insertion dans la table `parametres`
--

INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_def_cal', 'mois');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_formatCalAnnu', '4');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_aff_fetes', 'a:2:{i:0;s:4:"jour";i:1;s:4:"bloc";}');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_aff_event', 'on');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_annonce_event', 'on');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_futur_event', '5');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_type_futur_event', 'temps');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_defile_event', 'off');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_sensdefile_event', 'up');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_vitessedefile_event', '4');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_anniv', 'off');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_aff_anniv', 'on');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_annonce_anniv', 'on');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_futur_anniv', '5');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_defile_anniv', 'off');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_sensdefile_anniv', 'up');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_vitessedefile_anniv', '4');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_type_msga', 'mp');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_msg_anniv', 'Bonjour %pseudo%\r\nA l&#039;occasion de vos %age% ans,\r\ntoute la communaut&eacute; de %site% est heureuse de vous souhaiter un bon anniversaire.\r\nBonne journ&eacute;e et @ bient&ocirc;t sur notre site.\r\n\r\n\r\nSi vous ne souhaitez plus recevoir de message &agrave; chaque nouvel anniversaire, vous pouvez vous d&eacute;sinscrire via le lien suivant : %site%index.php?mod=agenda&amp;ac=anniversaire&amp;action=MsgNo\r\nou en vous rendant dans votre profil : %site%index.php?mod=espace_membre&amp;ac=profil&amp;id=%id%&action=modifier .');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_fetesMob', '0');
INSERT INTO `parametres` (`nom`, `valeur`) VALUES ('agenda_rubriques', '1');

-- --------------------------------------------------------
