-- $Id: install.sql 1041 2016-02-27 08:53:54Z otocinclus $

DROP TABLE IF EXISTS `liens_web`;
CREATE TABLE `liens_web` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(100) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  `id_pseudo` int(11) NOT NULL default '0',
  `auteur` varchar(30) NOT NULL default '',
  `categorie` varchar(30) NOT NULL default 'divers',
  `mort` char(1) NOT NULL default '',
  `description` text NOT NULL,
  `url` varchar(70) NOT NULL default '',
  `valide` char(1) NOT NULL default '',
  `cat_valide` int(2) default '1',
  `hit` int(11) NOT NULL default '0',
  `smileys` tinyint(2) NOT NULL default '1',
  `pseudomort` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module liens_web : Liste des messages' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `liens_web_opt`;
CREATE TABLE `liens_web_opt` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL default '',
  `valeur` varchar(100) NOT NULL default '',
  `commentaire` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module liens_web : les parametres';

INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('limitedeb', '1', 'Sujets compris entre 1');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('limitefin', '15', 'Et plus');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('aspect', '1', '1 permet d\'afficher lien + description, 0 seulement lien');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('minute', '1', '1 permet d\'afficher date et heure, 0 sans date et heure');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('sujet', '1', '1 permet d\'afficher le titre, 0 aucun titre');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('police', 'Verdana,Arial,sans-serif', 'Police de caract&egrave;res (Verdana,arial etc...)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('fil_textsize', '11', 'taille des liens et description');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('title_textcolor', '990000', 'couleur des liens (000000 donne noir)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('text_textcolor', '006633', 'couleur description (000000 donne noir)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('frame_color', 'FFFFCC', 'couleur arrire plan (FFFFFF donne blanc)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('content', '', 'laisser vide ou 1 comme paramtre optionnel<br />&nbsp;peut passer d\'un texte sans format  un texte html');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('caractere', '', 'laisser vide ou 1 comme paramtre<br />&nbsp;permet de remplacer le jeu de caractres en utf-8');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('cache', '30', 'gestion du cache exprime en minutes<br />&nbsp;en fonction de la frquence de mise  jour');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('widthframe', '100%', 'Largeur de la frame (si % mettre le %, si pixel ne pas mettre px)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('heightframe', '650', 'Hauteur de la frame (% non autoris)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('scrolling', 'yes', ' Scrolling de la frame : yes ou no');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('visible_cat_liens', 'no', 'Une catgorie visible dans le bloc : yes ou no');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('nom_cat_liens', '', 'Catgorie des liens visible dans le bloc');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('liens_sensbloc', 'none', 'Sens de dfilement dans le bloc');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('liens_vitessebloc', '80', 'Vitesse de dfilement du bloc (plus on baisse, plus a acclre)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('nb_liens_bloc', '5', 'Nombre de liens dans le bloc');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('nb_liens_page', '10', 'Nombre de liens par page');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('tri_liens_bloc', 'hasard', 'Tri des liens dans le bloc');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('aff_miniature','0', 'Affichage des miniatures (0 ou 1)');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('opacity', 'Non', 'Activation transparence miniature');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('opacity_out', '30', 'Opacit de l\'image par dfaut');
INSERT INTO `liens_web_opt` (`nom`, `valeur`, `commentaire`) VALUES ('opacity_over', '90', 'Opacit de l\'image au passage de la souris');

INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='affadmin', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='bloc_opt', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='choixcouleur', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='edit', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='gestion', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='gestion_options', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='script_java', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='liens_web', `page`='visite', `accessible`='0';

INSERT INTO `parametres` SET `nom`='liens_web_options_gr', `valeur`='a:6:{s:18:"gr_gestion_options";i:4;s:10:"gr_gestion";i:3;s:9:"gr_entete";i:0;s:8:"gr_ajout";i:0;s:14:"gestion_auteur";i:1;s:9:"mp_auteur";i:1;}';
