<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1049 2017-07-11 16:16:33Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 04/02/08 par Mike007
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if ($K_mod AND $K_grade < GRD_ADMIN)
{
	header('Location: ./');
	exit();
}
include_once './includes/bbcode.php';
include_once './includes/date.php';

/************************************************************************/
// Entete de la maintenance
/************************************************************************/
$MaintenanceTextEntete = '
<!doctype html>
<html lang="fr">
<head>
	<meta charset="iso-8859-15">
	<title>'.ax($K_meta_title).'</title>
	<meta name="dcterms.subject" content="'.ax($K_nom_page).'">
	<meta name="dcterms.description" content="'.ax($K_meta_description).'">
	<meta name="Keywords" content="'.ax($K_keywords).'" />
	<base href="'.$K_url_site.'" />
	<meta http-equiv="refresh" content="900" />
	<meta name="robots" content="all" />
	<!--  ####   Frquence de passage des robots indexeurs Ne mettez pas moins de 7 jours. -->
	<meta name="revisit-after" content="7 days" />
	<!--  ####   Barre d\'outils sur les images -->
	<!--[if IE]>
	<meta http-equiv="imagetoolbar" content="no" />
	<![endif]-->
	<meta name="dcterms.identifier" content="'.ax($K_url_site).'" />
	<meta name="author" content="'.ax($K_expediteur).'" />
	<!--  ####   Ne pas modifier ! Merci pour ceux qui passent du temps pour vous ! -->
	<meta name="dcterms.creator" content="http://www.kwsphp.org/" />
	<meta name="dcterms.publisher" content="http://www.kwsphp.org/" />
	<link rel="icon" href="./images/favicon/favicon.ico" type="images/x-icon" />
	<link rel="shortcut icon" href="./images/favicon/favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="./themes/'.$K_theme.'/style/style.css" type="text/css" />
	<script type="text/javascript" src="./includes/fonctions.js"></script>
	<style type="text/css" media="all">
	<!--
		body
		{
			font-size:10pt;
			font-family: Georgia, Verdana, Trebuchet MS,  Helvetica, Arial, sans-serif;
		}
		fieldset
		{
			border-style:solid;
			border-width:1px;
			border-color:#CCCCCC;
			padding:1.5em;
		}
		form
		{
			width:750px;
			margin-left:auto;
			margin-right:auto;
		}
	-->
	</style>
</head>
<body id="body_maintenance">';

/************************************************************************/
// Logo site lors de la maintenance
/************************************************************************/
$MaintenanceLogo = '';
if (file_exists($K_logo))
{
	$MaintenanceLogo = '
	<div style="text-align:center" id="logo_maintenance">
		<img src="'.$K_logo.'" style="border:0px;max-width:700px" alt="'.$K_url_site.'"/>
	</div>';
}

//////////////////////////////////////////////////////////////////////////
// Corps de la maintenance
//////////////////////////////////////////////////////////////////////////
$MaintenanceTextCorps ='
	<div style="width:750px;margin:auto;text-align:justify;" id="div_maintenance">
		'.$MaintenanceLogo.'
		<fieldset style="width:710px">
			'.($K_maintenance < 3 ? '<legend><strong>Le site est en maintenance :</strong></legend>':'').'
			<div style="text-align:center">
				Bienvenue sur '.ax($K_nom_page).'
				<br /><br />
				<a href="'.$K_url_site.'" title="Accueil">'.$K_url_site.'</a>
			</div>';
if ($K_maintenance < 3)
{
	$MaintenanceTextCorps .='
				<hr />
				<div style="float:left;text-align:center;width:40%;line-height:30px;">
					D&eacute;but le :<br />
					<strong>'.kws_date('l dS F Y \<\b\r \/\>\&\a\g\r\a\v\e\; H:i',$K_maintenance_datedebut).'</strong>
				</div>
				<div style="float:left;width:18%;line-height:30px;padding:5px">
					<img src="./modules/maintenance/travaux.png" alt="travaux" />
				</div>
				<div style="float:right;text-align:center;width:40%;line-height:30px;">
					Fin estim&eacute;e le :<br />
					<strong>'.kws_date('l dS F Y \<\b\r \/\>\&\a\g\r\a\v\e\; H:i',$K_maintenance_datefin).'</strong>
				</div>';
}
$MaintenanceTextCorps .='
			<div style="clear:both">
			'.($K_maintenance_texte !='' ? '<hr />'.bbcode($K_maintenance_texte,0,1,1).'' : '').'
			</div>
		</fieldset>
	</div>';

/************************************************************************/
// Footer de la maintenance
/************************************************************************/
	$urlimagepass = file_exists('./themes/'.$K_theme.'/images/icones_membre/pass2.png') ? './themes/'.$K_theme.'/images/icones_membre/pass2.png' : './images/icones_membre/pass2.png' ;
	$widthimagepass = @getimagesize($urlimagepass);

	$MaintenanceTextFooter = '
	<form name="formlogin" action="index.php?mod=espace_membre&amp;ac=login" method="post" id="form_maintenance">
		<div class="login">
			<fieldset style="width:710px">
				<legend style="line-height:'.$widthimagepass[1].'px">
					<img style="float:left;margin-right:10px" src="'.$urlimagepass.'" alt="Priv&amp;eacute;" />
					<strong>Identification Administrateur :</strong>
				</legend>
					<div style="float:left;width:45%">
						<label style="display: inline; width: 80px;" for="sql_pseudo">Identifiant : </label>
						<input class="username_login" type="text" name="sql_pseudo" id="sql_pseudo" size="15" maxlength="30" placeholder="Identifiant" />
					</div>
					<div style="float:left;width:45%">
						<label style="display: inline; width: 100px;" for="sql_pass">Mot de passe : </label>
						<input class="username_password" type="password" name="sql_pass" id="sql_pass" size="15" maxlength="25" placeholder="Mot de passe" />
					</div>
					<div style="float:left;width:10%;text-align:right">
						<input class="username_auto" type="checkbox" name="auto" id="auto" title="Se souvenir de moi. Ceci n&rsquo;est pas recommand&eacute; pour les ordinateurs partags." />
						<input id="submit_login" type="submit" name="veriferok" value=" OK " />
						<input type="hidden" name="verifer" value=" Se Connecter " />

					</div>
					<div style="clear:both;text-align:center">
						<br /><em>Seul l\'administrateur peut se connecter au site</em>
					</div>
			</fieldset>
		</div>
		<br />
		<div id="bloc_copyrights bloc_copyrights_maintenance">
			<div class="pied_de_page">'.(!empty($copyrights) ? bbcode($copyrights,0,0,1,1,1) : '&nbsp;').'</div>
		</div>
		<div style="text-align:center">
			<span class="gen">'.bbcode($K_distribution_pre_copy,0,0,0,1).' </span>
			<a id="ckws" href="http://www.kwsphp.org/" '.($K_url_site != 'http://www.kwsphp.org/' ? 'target="_blank"':'').' title="Site Internet Gratuit, CMS KwsPHP, le site cls en main (Portail PHP, Content Management System)">
				'.ax($K_distribution).' - &copy;2006-'.$K_annee_en_cours.'
			</a>
		</div>
	</form>
</body>
</html>';

/************************************************************************/
// Modification entete et footer si grade >= 4 et url= "mod=maintenance"
/************************************************************************/
if ($K_mod=='maintenance' AND $K_grade >= GRD_ADMIN)
{
	$MaintenanceTextEntete = bloc_head('Maintenance').df_message('attention',
		'Maintenance '.($K_maintenance!=0 ? 'activ&eacute;e '.($K_maintenance>=2 ? '(bloqu&eacute;)':'(perturbations)') :'d&eacute;sactiv&eacute;').'',
		'Ceci n\'est pas la page de maintenance affich&eacute;e aux membres lorsqu\'elle est activ&eacute;.<br /><br />
		Sous cette forme <strong> &laquo; .'.preg_replace('#/(.*?)/#','/',$_SERVER['REQUEST_URI']).' &raquo;</strong>,<br />
		elle n\'est visible que par un grade >= '.get_grd_name(GRD_ADMIN).'.');
	$MaintenanceTextFooter = close_table();
}

/************************************************************************/
// Affichage entete + corps
/************************************************************************/
echo $MaintenanceTextEntete.$MaintenanceTextCorps;
/************************************************************************/
// Affichage de la sh00t si autoris
/************************************************************************/
if (is_module('ajash00t') AND get_grade('id0_lecture','ajash00t') >= GRD_VISIT)
{
	$mod_bak = $K_mod;
	$K_mod = 'ajash00t';
	$_REQUEST['IdSh00t'] = 0;
	echo '<div style="text-align:center;width:760px;margin:auto" id="sh00t_maintenance">';
		@include_once './themes/'.$K_theme.'/bloc.php';
		include_once './modules/ajash00t/index.php';
	echo '</div>';
	$K_mod = $mod_bak;
}
/************************************************************************/
// Affichage footer
/************************************************************************/
echo $MaintenanceTextFooter;
?>